/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2024-04-23 09:48:18Z
 *****************************************************************************/

#include "rspwrmeter.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

ViInt32 rspwrmeter_RsCoreRepCapTableCount = 6;

RsCoreRepCap rspwrmeter_RsCoreRepCapTable[6] =
  { /*
    {
      repCapName  ... Repeated capability name, e.g. "Channel"
      identifiers ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
      cmdValues   ... Command values (comma separated values), e.g. "1,2,3"
    } */
    {
      "Channel",
      "CH0,CH1,CH2,CH3,CH4",
      ",1,2,3,4"
    }, {
      "CalculateBlock",
      "BL1,BL2,BL3,BL4,BL5,BL6,BL7,BL8",
      "1,2,3,4,5,6,7,8"
    }, {
      "Timegate",
      "TG1,TG2,TG3,TG4",
      "1,2,3,4"
    }, {
      "AnalogOutput",
      "OUT1,OUT2",
      "1,2"
    }, {
      "Gate",
      "G1,G2",
      "1,2"
    }, {
      "Path",
      "P1,P2,P3",
      "1,2,3"
    }
  };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngTriggerSourceEntries[11] =
  {
    { RSPWRMETER_VAL_TRG_IMM, "IMM" },
    { RSPWRMETER_VAL_TRG_EXT, "EXT" },
    { RSPWRMETER_VAL_TRG_INT, "INT" },
    { RSPWRMETER_VAL_TRG_BUS, "BUS" },
    { RSPWRMETER_VAL_TRG_HOLD, "HOLD" },
    { RSPWRMETER_VAL_TRG_EXT2, "EXT2" },
    { RSPWRMETER_VAL_TRG_INTA, "INTA" },
    { RSPWRMETER_VAL_TRG_INTB, "INTB" },
    { RSPWRMETER_VAL_TRG_INTC, "INTC" },
    { RSPWRMETER_VAL_TRG_INTD, "INTD" },
    { RSPWRMETER_VAL_TRG_CHKSOURCE, "CHKS" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngTriggerSource = { 11, rspwrmeter_rngTriggerSourceEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngUnitsEntries[3] =
  {
    { RSPWRMETER_VAL_UNIT_DBM, "DBM" },
    { RSPWRMETER_VAL_UNIT_W, "W" },
    { RSPWRMETER_VAL_UNIT_DBUV, "DBUV" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngUnits = { 3, rspwrmeter_rngUnitsEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngRatioUnitsEntries[3] =
  {
    { RSPWRMETER_VAL_RATIO_UNIT_DB, "DB" },
    { RSPWRMETER_VAL_RATIO_UNIT_DPCT, "DPCT" },
    { RSPWRMETER_VAL_RATIO_UNIT_O, "O" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngRatioUnits = { 3, rspwrmeter_rngRatioUnitsEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngSlopeEntries[2] =
  {
    { RSPWRMETER_VAL_SLOPE_NEG, "NEG" },
    { RSPWRMETER_VAL_SLOPE_POS, "POS" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngSlope = { 2, rspwrmeter_rngSlopeEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngChannelZeroStateEntries[2] =
  {
    { RSPWRMETER_VAL_ZERO_STATE_OFF, "OFF" },
    { RSPWRMETER_VAL_ZERO_STATE_ON, "ON" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngChannelZeroState = { 2, rspwrmeter_rngChannelZeroStateEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngAverageAutoFilterModeEntries[2] =
  {
    { RSPWRMETER_VAL_AUTO_FILTER_MODE_NORMAL, "RES" },
    { RSPWRMETER_VAL_AUTO_FILTER_MODE_FIXED_NOISE, "NSR" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngAverageAutoFilterMode = { 2, rspwrmeter_rngAverageAutoFilterModeEntries };

RsCoreRangeTableRanged rspwrmeter_rngAverageAutoFilterResolution = { 1, 4, "" };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngAverageTerminalControlEntries[2] =
  {
    { RSPWRMETER_VAL_AVER_TCONTROL_MOVING, "MOV" },
    { RSPWRMETER_VAL_AVER_TCONTROL_REPEAT, "REP" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngAverageTerminalControl = { 2, rspwrmeter_rngAverageTerminalControlEntries };

RsCoreRangeTableRanged rspwrmeter_rngVideoBandwidth = { 0, 0, "" };

RsCoreRangeTableRanged rspwrmeter_rngMeasurementRange = { 0, 2, "" };

RsCoreRangeTableRanged rspwrmeter_rngStatisticsScalePoints = { 3, 8191, "" };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngMeasurementModeEntries[9] =
  {
    { RSPWRMETER_VAL_MEAS_MODE_CONT_AV, "\"POW:AVG\"" },
    { RSPWRMETER_VAL_MEAS_MODE_TIMESLOT_AV, "\"POW:TSL:AVG\"" },
    { RSPWRMETER_VAL_MEAS_MODE_TIMEGATE_AV, "\"POW:TGAT:AVG\"" },
    { RSPWRMETER_VAL_MEAS_MODE_BURST_AV, "\"POW:BURS:AVG\"" },
    { RSPWRMETER_VAL_MEAS_MODE_CCDF, "\"XPOW:CCDF\"" },
    { RSPWRMETER_VAL_MEAS_MODE_PDF, "\"XPOW:PDF\"" },
    { RSPWRMETER_VAL_MEAS_MODE_TRACE, "\"XTIM:POW\"" },
    { RSPWRMETER_VAL_MEAS_MODE_ACLR, "\"POW:ACLR:AVG\"" },
    { RSPWRMETER_VAL_MEAS_MODE_IQ, "\"XTIM:VOLT:IQ\"" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngMeasurementMode = { 9, rspwrmeter_rngMeasurementModeEntries };

RsCoreRangeTableRanged rspwrmeter_rngContAvBufferSize = { 1, 8192, "" };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngContAvSamplingEntries[2] =
  {
    { RSPWRMETER_VAL_SAMPLING_FREQ1, "FREQ1" },
    { RSPWRMETER_VAL_SAMPLING_FREQ2, "FREQ2" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngContAvSampling = { 2, rspwrmeter_rngContAvSamplingEntries };

RsCoreRangeTableRanged rspwrmeter_rngLimitRatio = { -200, 200, "dB" };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngTraceTerminalControlEntries[2] =
  {
    { RSPWRMETER_VAL_TRACE_TERMINAL_CONTROL_MOVING, "MOV" },
    { RSPWRMETER_VAL_TRACE_TERMINAL_CONTROL_REPEAT, "REP" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngTraceTerminalControl = { 2, rspwrmeter_rngTraceTerminalControlEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngTraceMeasAlgorithmEntries[3] =
  {
    { RSPWRMETER_VAL_TRACE_MEAS_ALGORITHM_HISTOGRAM, "HIST" },
    { RSPWRMETER_VAL_TRACE_MEAS_ALGORITHM_INTEGRATION, "INT" },
    { RSPWRMETER_VAL_TRACE_MEAS_ALGORITHM_PEAK, "PEAK" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngTraceMeasAlgorithm = { 3, rspwrmeter_rngTraceMeasAlgorithmEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngAuxiliaryEntries[3] =
  {
    { RSPWRMETER_VAL_AUX_NONE, "NONE" },
    { RSPWRMETER_VAL_AUX_MINMAX, "MINM" },
    { RSPWRMETER_VAL_AUX_RNDMAX, "RNDM" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngAuxiliary = { 3, rspwrmeter_rngAuxiliaryEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngDisplayResolutionEntries[4] =
  {
    { RSPWRMETER_VAL_DISP_RESOLUTION_SIGN1, "1" },
    { RSPWRMETER_VAL_DISP_RESOLUTION_SIGN2, "0.1" },
    { RSPWRMETER_VAL_DISP_RESOLUTION_SIGN3, "0.01" },
    { RSPWRMETER_VAL_DISP_RESOLUTION_SIGN4, "0.001" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngDisplayResolution = { 4, rspwrmeter_rngDisplayResolutionEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngDisplayModeEntries[3] =
  {
    { RSPWRMETER_VAL_DISPLAY_FORMAT_DIGITAL, "DIG" },
    { RSPWRMETER_VAL_DISPLAY_FORMAT_ANALOG, "ANAL" },
    { RSPWRMETER_VAL_DISPLAY_FORMAT_GRAPHICAL, "GRAP" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngDisplayMode = { 3, rspwrmeter_rngDisplayModeEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngDisplayUpdateEntries[3] =
  {
    { RSPWRMETER_VAL_DISPLAY_UPDATE_NORMAL, "NORM" },
    { RSPWRMETER_VAL_DISPLAY_UPDATE_SLOW, "SLOW" },
    { RSPWRMETER_VAL_DISPLAY_UPDATE_FROZEN, "FRE" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngDisplayUpdate = { 3, rspwrmeter_rngDisplayUpdateEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngTTLHighLowEntries[2] =
  {
    { RSPWRMETER_VAL_TTL_ACTIVE_LOW, "LOW" },
    { RSPWRMETER_VAL_TTL_ACTIVE_HIGH, "HIGH" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngTTLHighLow = { 2, rspwrmeter_rngTTLHighLowEntries };

RsCoreRangeTableRanged rspwrmeter_rngTTLVoltage = { 0.0, 3.3, "V" };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngMsgTypeEntries[2] =
  {
    { RSPWRMETER_VAL_DISP_MSG_QUERY, "QUER" },
    { RSPWRMETER_VAL_DISP_MSG_MESSAGE, "MESS" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngMsgType = { 2, rspwrmeter_rngMsgTypeEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngDisplaySizeEntries[2] =
  {
    { RSPWRMETER_VAL_DISP_SIZE_NORMAL, "NORM" },
    { RSPWRMETER_VAL_DISP_SIZE_ZOOMED, "ZOOM" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngDisplaySize = { 2, rspwrmeter_rngDisplaySizeEntries };

RsCoreRangeTableRanged rspwrmeter_rngSelectedWindow = { 1, 4, "" };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngDisplayAdditionalInfoEntries[4] =
  {
    { RSPWRMETER_VAL_DISP_INFO_NONE, "NONE" },
    { RSPWRMETER_VAL_DISP_INFO_NORMAL, "NORM" },
    { RSPWRMETER_VAL_DISP_INFO_EXTREME, "EXTR" },
    { RSPWRMETER_VAL_DISP_INFO_STATISTIC, "STAT" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngDisplayAdditionalInfo = { 4, rspwrmeter_rngDisplayAdditionalInfoEntries };

RsCoreRangeTableRanged rspwrmeter_rngSelectedTimegate = { 1, 4, "" };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngCalculationEntries[20] =
  {
    { RSPWRMETER_VAL_CALC_PWR_AVG, "\"POW:AVER\"" },
    { RSPWRMETER_VAL_CALC_PWR_PEAK, "\"POW:PEAK\"" },
    { RSPWRMETER_VAL_CALC_PWR_RANDOM, "\"POW:RAND\"" },
    { RSPWRMETER_VAL_CALC_PWR_TRACE, "\"POW:TRAC\"" },
    { RSPWRMETER_VAL_CALC_PWR_PEAK_TRACE, "\"POW:PEAK:TRAC\"" },
    { RSPWRMETER_VAL_CALC_PWR_RANDOM_TRACE, "\"POW:RAND:TRAC\"" },
    { RSPWRMETER_VAL_CALC_PWR_AVG_SWEEP1, "\"POW:AVER ON SWE1\"" },
    { RSPWRMETER_VAL_CALC_PWR_AVG_SWEEP2, "\"POW:AVER ON SWE2\"" },
    { RSPWRMETER_VAL_CALC_PWR_AVG_SWEEP3, "\"POW:AVER ON SWE3\"" },
    { RSPWRMETER_VAL_CALC_PWR_AVG_SWEEP4, "\"POW:AVER ON SWE4\"" },
    { RSPWRMETER_VAL_CALC_PWR_PTAV_SWEEP1, "\"POW:PTAV ON SWE1\"" },
    { RSPWRMETER_VAL_CALC_PWR_PTAV_SWEEP2, "\"POW:PTAV ON SWE2\"" },
    { RSPWRMETER_VAL_CALC_PWR_PTAV_SWEEP3, "\"POW:PTAV ON SWE3\"" },
    { RSPWRMETER_VAL_CALC_PWR_PTAV_SWEEP4, "\"POW:PTAV ON SWE4\"" },
    { RSPWRMETER_VAL_CALC_PWR_PEAK_SWEEP1, "\"POW:PEAK ON SWE1\"" },
    { RSPWRMETER_VAL_CALC_PWR_PEAK_SWEEP2, "\"POW:PEAK ON SWE2\"" },
    { RSPWRMETER_VAL_CALC_PWR_PEAK_SWEEP3, "\"POW:PEAK ON SWE3\"" },
    { RSPWRMETER_VAL_CALC_PWR_PEAK_SWEEP4, "\"POW:PEAK ON SWE4\"" },
    { RSPWRMETER_VAL_CALC_CCDF, "\"CCDF:TRAC\"" },
    { RSPWRMETER_VAL_CALC_PDF, "\"PDF:TRAC\"" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngCalculation = { 20, rspwrmeter_rngCalculationEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngCalculateBlockEntries[4] =
  {
    { RSPWRMETER_VAL_CALC_BLOCK1, "\"CALC1\"" },
    { RSPWRMETER_VAL_CALC_BLOCK2, "\"CALC2\"" },
    { RSPWRMETER_VAL_CALC_BLOCK3, "\"CALC3\"" },
    { RSPWRMETER_VAL_CALC_BLOCK4, "\"CALC4\"" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngCalculateBlock = { 4, rspwrmeter_rngCalculateBlockEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngTTLCalculateBlockEntries[4] =
  {
    { RSPWRMETER_VAL_LIMIT_CALC_BLOCK1, "\"CALC1:LIM\"" },
    { RSPWRMETER_VAL_LIMIT_CALC_BLOCK2, "\"CALC2:LIM\"" },
    { RSPWRMETER_VAL_LIMIT_CALC_BLOCK3, "\"CALC3:LIM\"" },
    { RSPWRMETER_VAL_LIMIT_CALC_BLOCK4, "\"CALC4:LIM\"" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngTTLCalculateBlock = { 4, rspwrmeter_rngTTLCalculateBlockEntries };

RsCoreRangeTableRanged rspwrmeter_rngBeepTime = { 1, 60, "s" };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngIntExtEntries[2] =
  {
    { RSPWRMETER_VAL_INT, "INT" },
    { RSPWRMETER_VAL_EXT, "EXT" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngIntExt = { 2, rspwrmeter_rngIntExtEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngRegisterGroupEntries[12] =
  {
    { RSPWRMETER_VAL_REGISTER_GROUP_OPER, "OPER" },
    { RSPWRMETER_VAL_REGISTER_GROUP_QUES, "QUES" },
    { RSPWRMETER_VAL_REGISTER_GROUP_DEVICE, "DEV" },
    { RSPWRMETER_VAL_REGISTER_GROUP_OPER_CAL, "OPER:CAL" },
    { RSPWRMETER_VAL_REGISTER_GROUP_OPER_LLFAIL, "OPER:LLF" },
    { RSPWRMETER_VAL_REGISTER_GROUP_OPER_ULFAIL, "OPER:ULF" },
    { RSPWRMETER_VAL_REGISTER_GROUP_OPER_MEAS, "OPER:MEAS" },
    { RSPWRMETER_VAL_REGISTER_GROUP_OPER_SENSE, "OPER:SENS" },
    { RSPWRMETER_VAL_REGISTER_GROUP_OPER_TRIG, "OPER:TRIG" },
    { RSPWRMETER_VAL_REGISTER_GROUP_QUES_CAL, "QUES:CAL" },
    { RSPWRMETER_VAL_REGISTER_GROUP_QUES_POW, "QUES:POW" },
    { RSPWRMETER_VAL_REGISTER_GROUP_QUES_WIND, "QUES:WIND" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngRegisterGroup = { 12, rspwrmeter_rngRegisterGroupEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngRegisterTypeEntries[5] =
  {
    { RSPWRMETER_VAL_REGISTER_TYPE_COND, "COND" },
    { RSPWRMETER_VAL_REGISTER_TYPE_EVEN, "EVEN" },
    { RSPWRMETER_VAL_REGISTER_TYPE_ENAB, "ENAB" },
    { RSPWRMETER_VAL_REGISTER_TYPE_PTR, "PTR" },
    { RSPWRMETER_VAL_REGISTER_TYPE_NTR, "NTR" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngRegisterType = { 5, rspwrmeter_rngRegisterTypeEntries };

static RsCoreRangeTableDiscreteEntry rspwrmeter_rngSystemSpeedEntries[2] =
  {
    { RSPWRMETER_VAL_SYSTEM_SPEED_NORMAL, "NORM" },
    { RSPWRMETER_VAL_SYSTEM_SPEED_FAST, "FAST" }
  };
RsCoreRangeTableDiscrete rspwrmeter_rngSystemSpeed = { 2, rspwrmeter_rngSystemSpeedEntries };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngSystemLanguageEntries[9] =
  {
    { RSPWRMETER_VAL_SYSTEM_LANGUAGE_NRP, "NRP" },
    { RSPWRMETER_VAL_SYSTEM_LANGUAGE_NRP2, "NRP2" },
    { RSPWRMETER_VAL_SYSTEM_LANGUAGE_HP436A, "HP436A" },
    { RSPWRMETER_VAL_SYSTEM_LANGUAGE_HP437B, "HP437B" },
    { RSPWRMETER_VAL_SYSTEM_LANGUAGE_HP438A, "HP438A" },
    { RSPWRMETER_VAL_SYSTEM_LANGUAGE_E4418B, "E4418B" },
    { RSPWRMETER_VAL_SYSTEM_LANGUAGE_E4419B, "E4419B" },
    { RSPWRMETER_VAL_SYSTEM_LANGUAGE_N1911A, "N1911A" },
    { RSPWRMETER_VAL_SYSTEM_LANGUAGE_N1912A, "N1912A" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngSystemLanguage = { 9, RsPwrMeter_rngSystemLanguageEntries };

RsCoreRangeTableRanged RsPwrMeter_rngMaxSettlingTime = { 1.000000E-02, 9.999900E+02, "s" };

RsCoreRangeTableRanged RsPwrMeter_rngBufferCount = { 1, 8192, "" };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngIPAddressModeEntries[2] =
  {
    { RSPWRMETER_VAL_IP_ADDRESS_STATIC, "STAT" },
    { RSPWRMETER_VAL_IP_ADDRESS_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngIPAddressMode = { 2, RsPwrMeter_rngIPAddressModeEntries };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngSocketModeEntries[3] =
  {
    { RSPWRMETER_VAL_SOCKET_MODE_RAW, "RAW" },
    { RSPWRMETER_VAL_SOCKET_MODE_AGILENT, "AGIL" },
    { RSPWRMETER_VAL_SOCKET_MODE_IEEE1174, "IEEE1174" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngSocketMode = { 3, RsPwrMeter_rngSocketModeEntries };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngExternalTriggerImpedanceEntries[2] =
  {
    { RSPWRMETER_VAL_EXT_TRIGGER_IMPEDANCE_LOW, "LOW" },
    { RSPWRMETER_VAL_EXT_TRIGGER_IMPEDANCE_HIGH, "HIGH" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngExternalTriggerImpedance = { 2, RsPwrMeter_rngExternalTriggerImpedanceEntries };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngMasterPortEntries[2] =
  {
    { RSPWRMETER_VAL_TRIGGER_MASTER_PORT_EXT_1, "EXT1" },
    { RSPWRMETER_VAL_TRIGGER_MASTER_PORT_EXT_2, "EXT2" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngMasterPort = { 2, RsPwrMeter_rngMasterPortEntries };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngLEDModeEntries[2] =
  {
    { RSPWRMETER_VAL_LED_USER, "USER" },
    { RSPWRMETER_VAL_LED_SENSOR, "SENSOR" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngLEDMode = { 2, RsPwrMeter_rngLEDModeEntries };

RsCoreRangeTableRanged RsPwrMeter_rngLEDColor = { 0, 16777215, "" };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngTriggerExternalImpedanceEntries[2] =
  {
    { RSPWRMETER_VAL_LOW, "LOW" },
    { RSPWRMETER_VAL_HIGH, "HIGH" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngTriggerExternalImpedance = { 2, RsPwrMeter_rngTriggerExternalImpedanceEntries };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngTraceResultTypeEntries[4] =
  {
    { RSPWRMETER_VAL_TRACE_RESULT_TYPE_AVG, "AVG" },
    { RSPWRMETER_VAL_TRACE_RESULT_TYPE_MIN, "MIN" },
    { RSPWRMETER_VAL_TRACE_RESULT_TYPE_MAX, "MAX" },
    { RSPWRMETER_VAL_TRACE_RESULT_TYPE_RND, "RND" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngTraceResultType = { 4, RsPwrMeter_rngTraceResultTypeEntries };

RsCoreRangeTableRanged RsPwrMeter_rngChannelAutoTriggerDelay = { 0.1, 5.0, "s" };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngChannelTriggerSynchronizePortEntries[2] =
  {
    { RSPWRMETER_VAL_SYNC_PORT_EXT1, "EXT1" },
    { RSPWRMETER_VAL_SYNC_PORT_EXT2, "EXT2" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngChannelTriggerSynchronizePort = { 2, RsPwrMeter_rngChannelTriggerSynchronizePortEntries };

RsCoreRangeTableRanged RsPwrMeter_rngResolutionBandwidth = { 1.000000E+01, 4.000000E+08, "Hz" };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngFilterTypeEntries[4] =
  {
    { RSPWRMETER_VAL_FILTER_FLAT, "FLAT" },
    { RSPWRMETER_VAL_FILTER_NORMAL, "NORM" },
    { RSPWRMETER_VAL_FILTER_LTE, "LTE" },
    { RSPWRMETER_VAL_FILTER_W3GPP, "W3GP" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngFilterType = { 4, RsPwrMeter_rngFilterTypeEntries };

RsCoreRangeTableRanged RsPwrMeter_rngIQSampleRate = { 5.000000E+01, 1.200000E+08, "Hz" };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngBandwidthTypeEntries[2] =
  {
    { RSPWRMETER_VAL_BWID_RESOLUTION, "RES" },
    { RSPWRMETER_VAL_BWID_SAMPLE_RATE, "SRAT" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngBandwidthType = { 2, RsPwrMeter_rngBandwidthTypeEntries };

RsCoreRangeTableRanged RsPwrMeter_rngInputAttenuation = { 0.000000E+00, 3.000000E+01, "dB" };

RsCoreRangeTableRanged RsPwrMeter_rngReferenceOscillatorInputFrequencyUSB = { 1.000000E+07, 1.200000E+08, "Hz" };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngReferenceOscillatorSourceEntries[5] =
  {
    { RSPWRMETER_VAL_ROSC_SOURCE_INTERNAL, "INT" },
    { RSPWRMETER_VAL_ROSC_SOURCE_USB, "USB" },
    { RSPWRMETER_VAL_ROSC_SOURCE_REF, "REF" },
    { RSPWRMETER_VAL_ROSC_SOURCE_CLK, "CLK" },
    { RSPWRMETER_VAL_ROSC_SOURCE_EXT, "EXT" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngReferenceOscillatorSource = { 5, RsPwrMeter_rngReferenceOscillatorSourceEntries };

RsCoreRangeTableRanged RsPwrMeter_rngReferenceOscillatorCLKFrequency = { 1.000000E+07, 2.400000E+09, "Hz" };

RsCoreRangeTableRanged RsPwrMeter_rngReferenceOscillatorREFFrequency = { 1.000000E+07, 1.200000E+08, "Hz" };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngAveragingDomainEntries[3] =
  {
    { RSPWRMETER_VAL_AVERAGING_DOMAIN_POWER, "POW" },
    { RSPWRMETER_VAL_AVERAGING_DOMAIN_VIDEO, "LIN" },
    { RSPWRMETER_VAL_AVERAGING_DOMAIN_LINEAR, "VID" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngAveragingDomain = { 3, RsPwrMeter_rngAveragingDomainEntries };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngIFSidebandSelectedEntries[2] =
  {
    { RSPWRMETER_VAL_IF_SIDEBAND_LEFT, "LEFT" },
    { RSPWRMETER_VAL_IF_SIDEBAND_RIGHT, "RIGH" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngIFSidebandSelected = { 2, RsPwrMeter_rngIFSidebandSelectedEntries };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngTriggerJitterSuppressionMethodEntries[3] =
  {
    { RSPWRMETER_VAL_JITTER_SUPPRESSION_NONE, "NONE" },
    { RSPWRMETER_VAL_JITTER_SUPPRESSION_COMPENSATE, "COMP" },
    { RSPWRMETER_VAL_JITTER_SUPPRESSION_MEASURE, "MEAS" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngTriggerJitterSuppressionMethod = { 3, RsPwrMeter_rngTriggerJitterSuppressionMethodEntries };

RsCoreRangeTableRanged RsPwrMeter_rngACLRApertureTime = { 1.000000E-03, 4.000000E-02, "s" };

RsCoreRangeTableRanged RsPwrMeter_rngVoltIQSampleCount = { 1, 15000000, "" };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngSenderPortEntries[2] =
  {
    { RSPWRMETER_VAL_TRIGGER_SENDER_PORT_EXT_1, "EXT1" },
    { RSPWRMETER_VAL_TRIGGER_SENDER_PORT_EXT_2, "EXT2" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngSenderPort = { 2, RsPwrMeter_rngSenderPortEntries };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngFetchResultEntries[3] =
  {
    { RSPWRMETER_VAL_MEAS_CONT_AVER, "AVG" },
    { RSPWRMETER_VAL_MEAS_CONT_BURST, "BURS" },
    { RSPWRMETER_VAL_MEAS_CONT_TIMESLOT, "TSL" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngFetchResult = { 3, RsPwrMeter_rngFetchResultEntries };

static RsCoreRangeTableDiscreteEntry RsPwrMeter_rngListCommandsEntries[2] =
  {
    { RSPWRMETER_VAL_ALL_CMD, "0" },
    { RSPWRMETER_VAL_DIFFERENT_CMD, "1" }
  };
RsCoreRangeTableDiscrete RsPwrMeter_rngListCommands = { 2, RsPwrMeter_rngListCommandsEntries };

RsCoreRangeTableRanged RsPwrMeter_rngSystemUpdateTime = { 0.0, 10.0, "s" };


/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RS_ATTR_RANGE_CHECK =
  {
    RS_ATTR_RANGE_CHECK,
    "Range Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_QUERY_INSTRUMENT_STATUS =
  {
    RS_ATTR_QUERY_INSTRUMENT_STATUS,
    "Query Instrument Status",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SIMULATE =
  {
    RS_ATTR_SIMULATE,
    "Simulate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
  {
    RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    "Driver Description",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
  {
    RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    "Driver Prefix",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    "Driver Locator",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    "Driver Vendor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_REVISION =
  {
    RS_ATTR_SPECIFIC_DRIVER_REVISION,
    "Driver Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    "Class Specification Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    "Class Specification Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
  {
    RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    "Supported Instrument Models",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_GROUP_CAPABILITIES =
  {
    RS_ATTR_GROUP_CAPABILITIES,
    "Class Group Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_FUNCTION_CAPABILITIES =
  {
    RS_ATTR_FUNCTION_CAPABILITIES,
    "Function Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CHANNEL_COUNT =
  {
    RS_ATTR_CHANNEL_COUNT,
    "Channel Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_DRIVER_SETUP =
  {
    RS_ATTR_DRIVER_SETUP,
    "Driver Setup",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MANUFACTURER =
  {
    RS_ATTR_INSTRUMENT_MANUFACTURER,
    "Instrument Manufacturer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MODEL =
  {
    RS_ATTR_INSTRUMENT_MODEL,
    "Instrument Model",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
  {
    RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    "Instrument Firmware Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPTIONS_LIST =
  {
    RS_ATTR_OPTIONS_LIST,
    "Options List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
  {
    RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    "Resource Descriptor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_LOGICAL_NAME =
  {
    RS_ATTR_LOGICAL_NAME,
    "Logical Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_PRIMARY_ERROR =
  {
    RS_ATTR_PRIMARY_ERROR,
    "Primary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SECONDARY_ERROR =
  {
    RS_ATTR_SECONDARY_ERROR,
    "Secondary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ERROR_ELABORATION =
  {
    RS_ATTR_ERROR_ELABORATION,
    "Error Elaboration",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    "Driver Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    "Driver Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    "Driver Minor Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    "Class Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    "Class Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MAJOR_VERSION =
  {
    RS_ATTR_ENGINE_MAJOR_VERSION,
    "Engine Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MINOR_VERSION =
  {
    RS_ATTR_ENGINE_MINOR_VERSION,
    "Engine Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_REVISION =
  {
    RS_ATTR_ENGINE_REVISION,
    "Engine Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPC_TIMEOUT =
  {
    RS_ATTR_OPC_TIMEOUT,
    "Operation Complete (OPC) Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_DISP_SIZE =
  {
    RSPWRMETER_ATTR_DISP_SIZE,
    "Display Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngDisplaySize, NULL, NULL,
    "DISP:SIZE",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_DISP_SIZE_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_DISP_SELECTED_WINDOW =
  {
    RSPWRMETER_ATTR_DISP_SELECTED_WINDOW,
    "Selected Window",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rspwrmeter_rngSelectedWindow, NULL,
    "DISP:SEL",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_DISP_MSG_ENABLED =
  {
    RSPWRMETER_ATTR_DISP_MSG_ENABLED,
    "User-Defined Message Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:MESS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_DISP_MSG_CLEAR =
  {
    RSPWRMETER_ATTR_DISP_MSG_CLEAR,
    "User-Defined Message Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:MESS:TEXT:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_DISP_MSG_TYPE =
  {
    RSPWRMETER_ATTR_DISP_MSG_TYPE,
    "User-Defined Message Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngMsgType, NULL, NULL,
    "DISP:MESS:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_DISP_MSG_MESSAGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_ZERO_STATE =
  {
    RSPWRMETER_ATTR_CHANNEL_ZERO_STATE,
    "Zero State",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CAL{Channel}:ZERO:AUTO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_ZERO_ONCE =
  {
    RSPWRMETER_ATTR_CHANNEL_ZERO_ONCE,
    "Zero",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL{Channel}:ZERO:AUTO ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_FAST_ZERO_ONCE =
  {
    RSPWRMETER_ATTR_CHANNEL_FAST_ZERO_ONCE,
    "Fast Zero",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL{Channel}:ZERO:FAST:AUTO ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_FREQUENCY =
  {
    RSPWRMETER_ATTR_CHANNEL_FREQUENCY,
    "Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_MODE =
  {
    RSPWRMETER_ATTR_CHANNEL_MODE,
    "Channel Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngMeasurementMode, NULL, NULL,
    "SENS{Channel}:FUNC",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_MEAS_MODE_CONT_AV,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_AUXILIARY =
  {
    RSPWRMETER_ATTR_CHANNEL_AUXILIARY,
    "Auxiliary",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngAuxiliary, NULL, NULL,
    "SENS{Channel}:AUX",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_AUX_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_SELECTED_TIMEGATE =
  {
    RSPWRMETER_ATTR_CHANNEL_SELECTED_TIMEGATE,
    "Selected Timegate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rspwrmeter_rngSelectedTimegate, NULL,
    "SENS{Channel}:TGAT:SEL",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_ENABLED =
  {
    RSPWRMETER_ATTR_CHANNEL_DISPLAY_ENABLED,
    "Display Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_NAME =
  {
    RSPWRMETER_ATTR_CHANNEL_DISPLAY_NAME,
    "Display Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DISP{Channel}:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Ch1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_RESOLUTION =
  {
    RSPWRMETER_ATTR_CHANNEL_DISPLAY_RESOLUTION,
    "Display Resolution",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngDisplayResolution, NULL, NULL,
    "DISP{Channel}:RES",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_DISP_RESOLUTION_SIGN3,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_TIMESLOT =
  {
    RSPWRMETER_ATTR_CHANNEL_DISPLAY_TIMESLOT,
    "Display Timeslot",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISP{Channel}:TSL",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_MODE =
  {
    RSPWRMETER_ATTR_CHANNEL_DISPLAY_MODE,
    "Display Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngDisplayMode, NULL, NULL,
    "DISP{Channel}:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_DISPLAY_FORMAT_DIGITAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_ADDITIONAL_INFO =
  {
    RSPWRMETER_ATTR_CHANNEL_DISPLAY_ADDITIONAL_INFO,
    "Additional Info",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngDisplayAdditionalInfo, NULL, NULL,
    "DISP{Channel}:AVAL",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_DISP_INFO_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_ERRORLIST_ENABLED =
  {
    RSPWRMETER_ATTR_CHANNEL_DISPLAY_ERRORLIST_ENABLED,
    "Errorlist Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:ERR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_DISPLAY_POWER_PULSE_DROOP_ENABLED =
  {
    RSPWRMETER_ATTR_DISPLAY_POWER_PULSE_DROOP_ENABLED,
    "Display Power Pulse Droop Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISPlay:WIND{Channel}:TRAC:MEAS:POW:PULS:DRO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_UPPER =
  {
    RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_UPPER,
    "Upper Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP{Channel}:MET:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_UPPER_POWER =
  {
    RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_UPPER_POWER,
    "Upper Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP{Channel}:MET:UPP:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_UPPER_RATIO =
  {
    RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_UPPER_RATIO,
    "Upper Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP{Channel}:MET:UPP:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    60.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_LOWER =
  {
    RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_LOWER,
    "Lower Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP{Channel}:MET:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -90.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_LOWER_POWER =
  {
    RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_LOWER_POWER,
    "Lower Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP{Channel}:MET:LOW:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -90.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_LOWER_RATIO =
  {
    RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_LOWER_RATIO,
    "Lower Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP{Channel}:MET:LOW:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -120.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_VBW_LIST =
  {
    RSPWRMETER_ATTR_CHANNEL_VBW_LIST,
    "VBW List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS{Channel}:BAND:VID:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_VBW =
  {
    RSPWRMETER_ATTR_CHANNEL_VBW,
    "Video Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS{Channel}:BAND:VID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "FULL",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_AVER_RESET =
  {
    RSPWRMETER_ATTR_CHANNEL_AVER_RESET,
    "Average Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SENS{Channel}:AVER:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_AVER_ENABLED =
  {
    RSPWRMETER_ATTR_CHANNEL_AVER_ENABLED,
    "Average Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:AVER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_AVER_COUNT =
  {
    RSPWRMETER_ATTR_CHANNEL_AVER_COUNT,
    "Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SENS{Channel}:AVER:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_AVER_COUNT_AUTO =
  {
    RSPWRMETER_ATTR_CHANNEL_AVER_COUNT_AUTO,
    "Average Count Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:AVER:COUN:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_AVER_DOMAIN =
  {
    RSPWRMETER_ATTR_CHANNEL_AVER_DOMAIN,
    "Average Domain",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsPwrMeter_rngAveragingDomain, NULL, NULL,
    "SENS{Channel}:AVER:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_AVERAGING_DOMAIN_POWER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_AVER_TERMINAL_CONTROL =
  {
    RSPWRMETER_ATTR_CHANNEL_AVER_TERMINAL_CONTROL,
    "Average Terminal Control",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngAverageTerminalControl, NULL, NULL,
    "SENS{Channel}:AVER:TCON",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_AVER_TCONTROL_REPEAT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_MODE =
  {
    RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_MODE,
    "Average Auto Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngAverageAutoFilterMode, NULL, NULL,
    "SENS{Channel}:AVER:COUN:AUTO:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_AUTO_FILTER_MODE_FIXED_NOISE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_MTIME =
  {
    RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_MTIME,
    "Max Settling Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsPwrMeter_rngMaxSettlingTime, NULL,
    "SENS{Channel}:AVER:COUN:AUTO:MTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.000000E-02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_RESOLUTION =
  {
    RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_RESOLUTION,
    "Average Auto Resolution",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rspwrmeter_rngAverageAutoFilterResolution, NULL,
    "SENS{Channel}:AVER:COUN:AUTO:RES",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_TIMESLOT =
  {
    RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_TIMESLOT,
    "Average Auto Timeslot",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SENS{Channel}:AVER:COUN:AUTO:SLOT",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_NOISE_CONTENT =
  {
    RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_NOISE_CONTENT,
    "Noise Content",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:AVER:COUN:AUTO:NSR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_RANGE_AUTO =
  {
    RSPWRMETER_ATTR_RANGE_AUTO,
    "Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:RANG:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_RANGE_PATH =
  {
    RSPWRMETER_ATTR_RANGE_PATH,
    "Range Path",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rspwrmeter_rngMeasurementRange, NULL,
    "SENS{Channel}:RANG",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_RANGE_CROSSOVER_LEVEL =
  {
    RSPWRMETER_ATTR_RANGE_CROSSOVER_LEVEL,
    "Crossover Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:RANG:CLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_IMMEDIATE =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_IMMEDIATE,
    "Channel Trigger Immediate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRIG{Channel}:IMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SOURCE =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_SOURCE,
    "Channel Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngTriggerSource, NULL, NULL,
    "TRIG{Channel}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_TRG_IMM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rspwrmeter_TriggerSource_ReadCallback,
    rspwrmeter_TriggerSource_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_COUNT =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_COUNT,
    "Channel Trigger Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Channel}:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SLOPE =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_SLOPE,
    "Channel Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngSlope, NULL, NULL,
    "TRIG{Channel}:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_SLOPE_POS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_LEVEL =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_LEVEL,
    "Channel Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Channel}:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_DELAY =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_DELAY,
    "Channel Trigger Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Channel}:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_DELAY_AUTO =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_DELAY_AUTO,
    "Channel Trigger Delay Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Channel}:DEL:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_DROPOUT =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_DROPOUT,
    "Channel Trigger Dropout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Channel}:DTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_HOLDOFF =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_HOLDOFF,
    "Channel Trigger Holdoff",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Channel}:HOLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_HYSTERESIS =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_HYSTERESIS,
    "Channel Trigger Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Channel}:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_MASTER_ENABLED =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_MASTER_ENABLED,
    "Channel Trigger Master Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Channel}:MAST:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SENDER_ENABLED =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_SENDER_ENABLED,
    "Channel Trigger Sender Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Channel}:SEND:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_MASTER_PORT =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_MASTER_PORT,
    "Channel Trigger Master Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsPwrMeter_rngMasterPort, NULL, NULL,
    "TRIG{Channel}:MAST:PORT",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_TRIGGER_MASTER_PORT_EXT_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SENDER_PORT =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_SENDER_PORT,
    "Channel Trigger Sender Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsPwrMeter_rngSenderPort, NULL, NULL,
    "TRIG{Channel}:SEND:PORT",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_TRIGGER_SENDER_PORT_EXT_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SYNCHRONIZE =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_SYNCHRONIZE,
    "Channel Trigger Synchronize",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Channel}:SYNC:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SYNCHRONIZE_PORT =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_SYNCHRONIZE_PORT,
    "Channel Trigger Synchronize Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsPwrMeter_rngChannelTriggerSynchronizePort, NULL, NULL,
    "TRIG:SYNC:PORT",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_SYNC_PORT_EXT1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_AUTO =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_AUTO,
    "Channel Auto Trigger",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Channel}:ATR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_AUTO_LEVEL =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_AUTO_LEVEL,
    "Channel Auto Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Channel}:ALEV:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_AUTO_TRIGGER_DELAY =
  {
    RSPWRMETER_ATTR_CHANNEL_AUTO_TRIGGER_DELAY,
    "Channel Auto Trigger Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsPwrMeter_rngChannelAutoTriggerDelay, NULL,
    "TRIG:ATR:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_AUTO_EXECUTED =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_AUTO_EXECUTED,
    "Channel Auto Trigger Executed",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Channel}:ATR:EXEC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_EXTERNAL_IMPEDANCE =
  {
    RSPWRMETER_ATTR_CHANNEL_TRIGGER_EXTERNAL_IMPEDANCE,
    "Channel External Trigger Impedance",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsPwrMeter_rngExternalTriggerImpedance, NULL, NULL,
    "TRIG{Channel}:EXT2:IMP",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_EXT_TRIGGER_IMPEDANCE_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRIGGER_JITTER_SUPPRESSION_METHOD =
  {
    RSPWRMETER_ATTR_TRIGGER_JITTER_SUPPRESSION_METHOD,
    "Trigger Jitter Suppression Method",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsPwrMeter_rngTriggerJitterSuppressionMethod, NULL, NULL,
    "TRIG:JITT:METH",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_JITTER_SUPPRESSION_COMPENSATE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRIGGER_JITTER_SUPPRESSION_CURRENT_VALUE =
  {
    RSPWRMETER_ATTR_TRIGGER_JITTER_SUPPRESSION_CURRENT_VALUE,
    "Trigger Jitter Suppression Current Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsPwrMeter_rngTriggerJitterSuppressionMethod, NULL, NULL,
    "TRIG:JITT:METH:CUV?",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_JITTER_SUPPRESSION_COMPENSATE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRIGGER_JITTER_SUPPRESSION_TRIGGER_OFFSET =
  {
    RSPWRMETER_ATTR_TRIGGER_JITTER_SUPPRESSION_TRIGGER_OFFSET,
    "Trigger Jitter Suppression Trigger Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:JITT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_SENSOR_REBOOT =
  {
    RSPWRMETER_ATTR_CHANNEL_SENSOR_REBOOT,
    "Reboot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:SENS{Channel}:REB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_SENSOR_RESET =
  {
    RSPWRMETER_ATTR_CHANNEL_SENSOR_RESET,
    "Sensor Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:SENS{Channel}:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_SENSOR_INFO =
  {
    RSPWRMETER_ATTR_CHANNEL_SENSOR_INFO,
    "Sensor Info",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:SENS{Channel}:INFO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rspwrmeter_ReadSensorInfo_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CORR_OFFSET_ENABLED =
  {
    RSPWRMETER_ATTR_CORR_OFFSET_ENABLED,
    "Offset Correction Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:CORR:OFFS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CORR_OFFSET_VALUE =
  {
    RSPWRMETER_ATTR_CORR_OFFSET_VALUE,
    "Offset Correction Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:CORR:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CORR_OFFSET_TABLE_ENABLED =
  {
    RSPWRMETER_ATTR_CORR_OFFSET_TABLE_ENABLED,
    "Offset Correction Table Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:CORR:FDOT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CORR_OFFSET_SELECTED_TABLE =
  {
    RSPWRMETER_ATTR_CORR_OFFSET_SELECTED_TABLE,
    "Offset Correction Selected Table",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS{Channel}:CORR:FDOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Table 1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CORR_OFFSET_FD =
  {
    RSPWRMETER_ATTR_CORR_OFFSET_FD,
    "FD Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:CORR:FDOF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CORR_SPARAM_DEVICE_ENABLED =
  {
    RSPWRMETER_ATTR_CORR_SPARAM_DEVICE_ENABLED,
    "Sparam Device Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:CORR:SPD:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CORR_SPARAM_DEVICE =
  {
    RSPWRMETER_ATTR_CORR_SPARAM_DEVICE,
    "Device",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SENS{Channel}:CORR:SPD:SEL",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CORR_SPARAM_LIST =
  {
    RSPWRMETER_ATTR_CORR_SPARAM_LIST,
    "Sparam List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS{Channel}:CORR:SPD:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CORR_SGAMMA_ENABLED =
  {
    RSPWRMETER_ATTR_CORR_SGAMMA_ENABLED,
    "Sgamma Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:SGAM:CORR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CORR_SGAMMA_MAGNITUDE =
  {
    RSPWRMETER_ATTR_CORR_SGAMMA_MAGNITUDE,
    "Sgamma Magnitude",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:SGAM:MAGN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CORR_SGAMMA_PHASE =
  {
    RSPWRMETER_ATTR_CORR_SGAMMA_PHASE,
    "Sgamma Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:SGAM:PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CORR_RGAMMA_MAGNITUDE =
  {
    RSPWRMETER_ATTR_CORR_RGAMMA_MAGNITUDE,
    "Rgamma Magnitude",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:RGAM:MAGN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CORR_RGAMMA_PHASE =
  {
    RSPWRMETER_ATTR_CORR_RGAMMA_PHASE,
    "Rgamma Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:RGAM:PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_DCYCLE_ENABLED =
  {
    RSPWRMETER_ATTR_DCYCLE_ENABLED,
    "Duty Cycle Correction Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:CORR:DCYC:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_DCYCLE_VALUE =
  {
    RSPWRMETER_ATTR_DCYCLE_VALUE,
    "Duty Cycle Correction Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:CORR:DCYC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.000000E-03,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_NOISE_CORRECTION_ENABLED =
  {
    RSPWRMETER_ATTR_NOISE_CORRECTION_ENABLED,
    "Noise Correction Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:POW:NCOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_IGAMMA_MAGNITUDE =
  {
    RSPWRMETER_ATTR_IGAMMA_MAGNITUDE,
    "Igamma Magnitude",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:IGAM:MAGN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_IGAMMA_PHASE =
  {
    RSPWRMETER_ATTR_IGAMMA_PHASE,
    "Igamma Phase",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:IGAM:PHAS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_IGAMMA_EXPANDED_UNCERTAINTY =
  {
    RSPWRMETER_ATTR_IGAMMA_EXPANDED_UNCERTAINTY,
    "Igamma Expanded Uncertainty",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:IGAM:EUNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_CONTAV_APERTURE =
  {
    RSPWRMETER_ATTR_CHANNEL_CONTAV_APERTURE,
    "ContAv Aperture",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:APER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_ENABLED =
  {
    RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_ENABLED,
    "ContAv Buffer Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:BUFF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_SIZE =
  {
    RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_SIZE,
    "ContAv Buffer Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rspwrmeter_rngContAvBufferSize, NULL,
    "SENS{Channel}:BUFF:SIZE",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_COUNT =
  {
    RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_COUNT,
    "ContAv Buffer Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsPwrMeter_rngBufferCount, NULL,
    "SENS{Channel}:BUFF:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_CLEAR =
  {
    RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_CLEAR,
    "ContAv Buffer Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SENS{Channel}:BUFF:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_CONTAV_SMOOTHING_ENABLED =
  {
    RSPWRMETER_ATTR_CHANNEL_CONTAV_SMOOTHING_ENABLED,
    "ContAv Smoothing Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:SMO:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_CONTAV_FAST_UNCHOPPED_ENABLED =
  {
    RSPWRMETER_ATTR_CHANNEL_CONTAV_FAST_UNCHOPPED_ENABLED,
    "ContAv Fast Unchopped Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:FAST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRP18S|NRP18SN|NRP8S|NRP8SN|NRP33S|NRP33SN|NRP40S|NRP40SN|NRP50S|NRP50SN|NRP6A|NRP6AN|NRP18A|NRP18AN|NRP18T|NRP18TN|NRP33T|NRP33TN|NRP40T|NRP40TN|NRP50T|NRP50TN|NRP33SN-V|NRP67T|NRP67TN|NRP110T|NRP110TN|NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_BURSTAV_DROPOUT =
  {
    RSPWRMETER_ATTR_CHANNEL_BURSTAV_DROPOUT,
    "BurstAv Dropout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:BURS:DTOL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_BURSTAV_EXCLUDE_START =
  {
    RSPWRMETER_ATTR_CHANNEL_BURSTAV_EXCLUDE_START,
    "BurstAv Exclude Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TIM:EXCL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_BURSTAV_EXCLUDE_STOP =
  {
    RSPWRMETER_ATTR_CHANNEL_BURSTAV_EXCLUDE_STOP,
    "BurstAv Exclude Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TIM:EXCL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_BURSTAV_LENGTH =
  {
    RSPWRMETER_ATTR_CHANNEL_BURSTAV_LENGTH,
    "BurstAv Length",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:BURS:LENG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_OFFSET_TIME =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_OFFSET_TIME,
    "Trace Offset Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:OFFS:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_TIME =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_TIME,
    "Trace Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.500000E-05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRACE_TIME_AUTO =
  {
    RSPWRMETER_ATTR_TRACE_TIME_AUTO,
    "Trace Time Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:TIME:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_POINTS =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_POINTS,
    "Points",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:POIN",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_LOWER_LIMIT =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_LOWER_LIMIT,
    "Lower Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP{Channel}:TRAC:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_UPPER_LIMIT =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_UPPER_LIMIT,
    "Upper Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP{Channel}:TRAC:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MINIMUM_SLOT_WIDTH =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MINIMUM_SLOT_WIDTH,
    "Trace Minimum Slot Width",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MPW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_NUMBER_OF_SAMPLES =
  {
    RSPWRMETER_ATTR_NUMBER_OF_SAMPLES,
    "Number Of Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:RLEN?",
    // Defaults I32, I64, Float, Bool, String
    800000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SAMPLE_RATE_FOR_TRACE =
  {
    RSPWRMETER_ATTR_SAMPLE_RATE_FOR_TRACE,
    "Sample Rate For Trace",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:SRAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    22.6e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_AVER_ENABLED =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_AVER_ENABLED,
    "Averaging Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:AVER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_AVER_COUNT =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_AVER_COUNT,
    "Trace Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:AVER:COUN",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_AVER_COUNT_AUTO =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_AVER_COUNT_AUTO,
    "Trace Average Count Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:AVER:COUN:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_TERMINAL_CONTROL =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_TERMINAL_CONTROL,
    "Trace Terminal Control",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngTraceTerminalControl, NULL, NULL,
    "SENS{Channel}:TRAC:AVER:TCON",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_TRACE_TERMINAL_CONTROL_REPEAT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_ENABLED =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_ENABLED,
    "Trace Pulse Measurements Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_ALGORITHM =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_ALGORITHM,
    "Algorithm",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngTraceMeasAlgorithm, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:ALG",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_TRACE_MEAS_ALGORITHM_HISTOGRAM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_OFFSET_TIME =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_OFFSET_TIME,
    "Trace Measurement Offset Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:OFFS:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TIME =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TIME,
    "Trace Measurement Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_AUTO_TRANSFER =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_AUTO_TRANSFER,
    "Auto Transfer",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_DUTY_CYCLE =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_DUTY_CYCLE,
    "Duty Cycle",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:PULS:DCYC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_WIDTH =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_WIDTH,
    "Trace Measurement Pulse Width",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:PULS:DUR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_PERIOD =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_PERIOD,
    "Period",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:PULS:PER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_SEPARATION =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_SEPARATION,
    "Separation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:PULS:SEP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_AVERAGE =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_AVERAGE,
    "Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:POW:AVG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_MAXIMUM =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_MAXIMUM,
    "Trace Power Maximum",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:POW:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_MINIMUM =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_MINIMUM,
    "Trace Power Minimum",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:POW:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_BASE =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_BASE,
    "Base Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:POW:PULS:BASE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_TOP =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_TOP,
    "Top Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:POW:PULS:TOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_DROOP =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_DROOP,
    "Droop",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:POW:PULS:DRO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_REFERENCE_LEVEL =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_REFERENCE_LEVEL,
    "Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:DEF:DUR:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_HIGH_REFERENCE =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_HIGH_REFERENCE,
    "High Reference",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:DEF:TRAN:HREF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    90.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_LOW_REFERENCE =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_LOW_REFERENCE,
    "Low Reference",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:DEF:TRAN:LREF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_POS_DURATION =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_POS_DURATION,
    "Positive Duration",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:TRAN:POS:DUR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_POS_OCCURRENCE =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_POS_OCCURRENCE,
    "Positive Occurrence",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:TRAN:POS:OCC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_POS_OVERSHOOT =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_POS_OVERSHOOT,
    "Positive Overshoot",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:TRAN:POS:OVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_NEG_DURATION =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_NEG_DURATION,
    "Negative Duration",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:TRAN:NEG:DUR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_NEG_OCCURRENCE =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_NEG_OCCURRENCE,
    "Negative Occurrence",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:TRAN:NEG:OCC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_NEG_OVERSHOOT =
  {
    RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_NEG_OVERSHOOT,
    "Negative Overshoot",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TRAC:MEAS:TRAN:NEG:OVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_STAT_OFFSET_TIME =
  {
    RSPWRMETER_ATTR_CHANNEL_STAT_OFFSET_TIME,
    "Statistics Offset Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:STAT:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_STAT_TIME =
  {
    RSPWRMETER_ATTR_CHANNEL_STAT_TIME,
    "Statistics Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:STAT:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_STAT_SAMPLES =
  {
    RSPWRMETER_ATTR_CHANNEL_STAT_SAMPLES,
    "Statistics Samples",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SENS{Channel}:STAT:SAMP",
    // Defaults I32, I64, Float, Bool, String
    1000000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_STAT_MID_OFFSET =
  {
    RSPWRMETER_ATTR_CHANNEL_STAT_MID_OFFSET,
    "Statistics Mid Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:STAT:MID:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_STAT_MID_LENGTH =
  {
    RSPWRMETER_ATTR_CHANNEL_STAT_MID_LENGTH,
    "Statistics Mid Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:STAT:MID:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_RLEVEL =
  {
    RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_RLEVEL,
    "Statistics Scale Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:STAT:SCAL:X:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_POINTS =
  {
    RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_POINTS,
    "Statistics Scale Points",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rspwrmeter_rngStatisticsScalePoints, NULL,
    "SENS{Channel}:STAT:SCAL:X:POIN",
    // Defaults I32, I64, Float, Bool, String
    3,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_RANGE =
  {
    RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_RANGE,
    "Statistics Scale Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:STAT:SCAL:X:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_MIN_WIDTH =
  {
    RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_MIN_WIDTH,
    "Statistics Scale Minimum Width",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:STAT:SCAL:X:MPW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_STAT_POWER =
  {
    RSPWRMETER_ATTR_CHANNEL_STAT_POWER,
    "Statistics Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Channel}:STAT:MARK:HOR:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_STAT_HORIZONTAL_DATA =
  {
    RSPWRMETER_ATTR_CHANNEL_STAT_HORIZONTAL_DATA,
    "Statistics Horizontal Data",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Channel}:STAT:MARK:HOR:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_STAT_VERTICAL_POSITION =
  {
    RSPWRMETER_ATTR_CHANNEL_STAT_VERTICAL_POSITION,
    "Statistics Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Channel}:STAT:MARK:VERT:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_STAT_ABS_POWER_POSITION =
  {
    RSPWRMETER_ATTR_CHANNEL_STAT_ABS_POWER_POSITION,
    "Statistics Absolute Power Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Channel}:STAT:MARK:VERT:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_STAT_PEAK_POWER =
  {
    RSPWRMETER_ATTR_CHANNEL_STAT_PEAK_POWER,
    "Statistics Peak Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:STAT:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_STAT_AVERAGE =
  {
    RSPWRMETER_ATTR_CHANNEL_STAT_AVERAGE,
    "Statistics Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:STAT:AVER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_COUNT =
  {
    RSPWRMETER_ATTR_CHANNEL_TIMESLOT_COUNT,
    "Timeslot Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SENS{Channel}:TSL:COUN",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_WIDTH =
  {
    RSPWRMETER_ATTR_CHANNEL_TIMESLOT_WIDTH,
    "Timeslot Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TSL:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_MID_ENABLED =
  {
    RSPWRMETER_ATTR_CHANNEL_TIMESLOT_MID_ENABLED,
    "Timeslot Mid Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:TSL:MID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_MID_OFFSET =
  {
    RSPWRMETER_ATTR_CHANNEL_TIMESLOT_MID_OFFSET,
    "Timeslot Mid Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TSL:MID:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_MID_LENGTH =
  {
    RSPWRMETER_ATTR_CHANNEL_TIMESLOT_MID_LENGTH,
    "Timeslot Mid Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TSL:MID:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_EXCLUDE_START =
  {
    RSPWRMETER_ATTR_CHANNEL_TIMESLOT_EXCLUDE_START,
    "Exclude Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TIM:EXCL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_EXCLUDE_STOP =
  {
    RSPWRMETER_ATTR_CHANNEL_TIMESLOT_EXCLUDE_STOP,
    "Exclude Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TIM:EXCL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_GATE_OFFSET_TIME =
  {
    RSPWRMETER_ATTR_CHANNEL_GATE_OFFSET_TIME,
    "Gate Offset Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TGAT{Timegate}:OFFS:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_GATE_TIME =
  {
    RSPWRMETER_ATTR_CHANNEL_GATE_TIME,
    "Gate Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TGAT{Timegate}:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.000000E-08,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_GATE_MID_ENABLED =
  {
    RSPWRMETER_ATTR_CHANNEL_GATE_MID_ENABLED,
    "Gate Mid Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:TGAT:MID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_GATE_MID_OFFSET =
  {
    RSPWRMETER_ATTR_CHANNEL_GATE_MID_OFFSET,
    "Gate Mid Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TGAT{Timegate}:MID:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_GATE_MID_LENGTH =
  {
    RSPWRMETER_ATTR_CHANNEL_GATE_MID_LENGTH,
    "Gate Mid Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:TGAT{Timegate}:MID:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_ACLR_APERTURE_TIME =
  {
    RSPWRMETER_ATTR_ACLR_APERTURE_TIME,
    "ACLR Aperture Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsPwrMeter_rngACLRApertureTime, NULL,
    "SENS{Channel}:ACLR:APER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_ACLR_SPACING =
  {
    RSPWRMETER_ATTR_ACLR_SPACING,
    "ACLR Spacing",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:ACLR:ACH:SPAC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_VOLT_IQ_SAMPLE_RATE =
  {
    RSPWRMETER_ATTR_VOLT_IQ_SAMPLE_RATE,
    "Volt IQ Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsPwrMeter_rngIQSampleRate, NULL,
    "SENS{Channel}:BAND:SRAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    22.6e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_VOLT_IQ_SAMPLE_COUNT =
  {
    RSPWRMETER_ATTR_VOLT_IQ_SAMPLE_COUNT,
    "Volt IQ Sample Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsPwrMeter_rngVoltIQSampleCount, NULL,
    "SENS{Channel}:TRAC:IQ:RLEN",
    // Defaults I32, I64, Float, Bool, String
    1024,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_CAL_DEVIATION =
  {
    RSPWRMETER_ATTR_CHANNEL_CAL_DEVIATION,
    "Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CAL{Channel}:TEST:DEV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_CAL_REFERENCE =
  {
    RSPWRMETER_ATTR_CHANNEL_CAL_REFERENCE,
    "Reference",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CAL{Channel}:TEST:REF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_CAL_DATA_BLOCK_LENGTH =
  {
    RSPWRMETER_ATTR_CHANNEL_CAL_DATA_BLOCK_LENGTH,
    "Data Block Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CAL{Channel}:DATA:LENG?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_CAL_USER_DATA_BLOCK_LENGTH =
  {
    RSPWRMETER_ATTR_CHANNEL_CAL_USER_DATA_BLOCK_LENGTH,
    "User Data Block Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CAL{Channel}:USER:DATA:LENG?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_AUTOSET_FREQUENCY =
  {
    RSPWRMETER_ATTR_AUTOSET_FREQUENCY,
    "Autoset Frequency",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SENS{Channel}:ADJ ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_RESOLUTION_BANDWIDTH =
  {
    RSPWRMETER_ATTR_RESOLUTION_BANDWIDTH,
    "Resolution Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsPwrMeter_rngResolutionBandwidth, NULL,
    "SENS{Channel}:BAND:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    40e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CURRENT_RESOLUTION_BANDWIDTH =
  {
    RSPWRMETER_ATTR_CURRENT_RESOLUTION_BANDWIDTH,
    "Current Resolution Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:BAND:RES:CUV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    40.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_FILTER_TYPE =
  {
    RSPWRMETER_ATTR_FILTER_TYPE,
    "Filter Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsPwrMeter_rngFilterType, NULL, NULL,
    "SENS{Channel}:BAND:RES:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_FILTER_FLAT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_AUTOSET_FILTER_TYPE =
  {
    RSPWRMETER_ATTR_AUTOSET_FILTER_TYPE,
    "Autoset Filter Type",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:BAND:RES:TYPE:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_BANDWIDTH_TYPE =
  {
    RSPWRMETER_ATTR_BANDWIDTH_TYPE,
    "Bandwidth Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsPwrMeter_rngBandwidthType, NULL, NULL,
    "SENS{Channel}:BAND:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_BWID_RESOLUTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_INPUT_ATTENUATION =
  {
    RSPWRMETER_ATTR_INPUT_ATTENUATION,
    "Input Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsPwrMeter_rngInputAttenuation, NULL,
    "SENS{Channel}:INP:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_INPUT_ATTENUATION_AUTO =
  {
    RSPWRMETER_ATTR_INPUT_ATTENUATION_AUTO,
    "Input Attenuation Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:INP:ATT:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_AUTOSET_INPUT_ATTENUATION =
  {
    RSPWRMETER_ATTR_AUTOSET_INPUT_ATTENUATION,
    "Autoset Input Attenuation",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SENS{Channel}:INP:ATT:AUTO ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LOCAL_OSCILLATOR_OUTPUT_ENABLED =
  {
    RSPWRMETER_ATTR_LOCAL_OSCILLATOR_OUTPUT_ENABLED,
    "Local Oscillator Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS:FREQ:CONV:MIX:LO:OUTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LOCAL_OSCILLATOR_FREQUENCY =
  {
    RSPWRMETER_ATTR_LOCAL_OSCILLATOR_FREQUENCY,
    "Local Oscillator Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:FREQ:CONV:MIX:LO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_IF_SIDEBAND_AUTO_ENABLED =
  {
    RSPWRMETER_ATTR_IF_SIDEBAND_AUTO_ENABLED,
    "IF Sideband Auto Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:FREQ:CONV:MIX:IF:SID:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_IF_SIDEBAND_SELECTED =
  {
    RSPWRMETER_ATTR_IF_SIDEBAND_SELECTED,
    "IF Sideband Selected",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsPwrMeter_rngIFSidebandSelected, NULL, NULL,
    "SENS{Channel}:FREQ:CONV:MIX:IF:SID",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_IF_SIDEBAND_LEFT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_IF_SIDEBAND_FREQUENCY =
  {
    RSPWRMETER_ATTR_IF_SIDEBAND_FREQUENCY,
    "IF Sideband Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:FREQ:CONV:MIX:IF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_FREQUENCY_TRACKING_ENABLED =
  {
    RSPWRMETER_ATTR_FREQUENCY_TRACKING_ENABLED,
    "Frequency Tracking Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS{Channel}:FREQ:TRAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_FREQUENCY_TRACKING_CURRENT_STATE =
  {
    RSPWRMETER_ATTR_FREQUENCY_TRACKING_CURRENT_STATE,
    "Frequency Tracking Current State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SENS{Channel}:FREQ:TRAC:CUV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_FREQUENCY_TRACKING_CURRENT_FREQUENCY =
  {
    RSPWRMETER_ATTR_FREQUENCY_TRACKING_CURRENT_FREQUENCY,
    "Frequency Tracking Current Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS{Channel}:FREQ:TRAC:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_ZERO_ALL_ONCE =
  {
    RSPWRMETER_ATTR_CHANNEL_ZERO_ALL_ONCE,
    "Zero All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:ALL:ZERO:AUTO ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_FAST_ZERO_ALL_ONCE =
  {
    RSPWRMETER_ATTR_CHANNEL_FAST_ZERO_ALL_ONCE,
    "Fast Zero All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:ALL:ZERO:FAST:AUTO ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNELS_ZERO_ALL_STATE =
  {
    RSPWRMETER_ATTR_CHANNELS_ZERO_ALL_STATE,
    "Zero All State",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CAL:ALL:ZERO:AUTO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_REF_OSC_ENABLED =
  {
    RSPWRMETER_ATTR_REF_OSC_ENABLED,
    "Reference Oscillator Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:ROSC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NRP|NRX",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_SOURCE =
  {
    RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_SOURCE,
    "Reference Oscillator Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsPwrMeter_rngReferenceOscillatorSource, NULL, NULL,
    "SENS:ROSC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_ROSC_SOURCE_INTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "NRP18S|NRP18SN|NRP8S|NRP8SN|NRP33S|NRP33SN|NRP40S|NRP40SN|NRP50S|NRP50SN|NRQ6|NRP67S|NRP67SN",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_REF_FREQUENCY =
  {
    RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_REF_FREQUENCY,
    "Reference Oscillator REF Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsPwrMeter_rngReferenceOscillatorREFFrequency, NULL,
    "SENS:ROSC:REF:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_USB_FREQUENCY =
  {
    RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_USB_FREQUENCY,
    "Reference Oscillator USB Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsPwrMeter_rngReferenceOscillatorInputFrequencyUSB, NULL,
    "SYST:CLOC:ROSC:USB:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_CLK_FREQUENCY =
  {
    RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_CLK_FREQUENCY,
    "Reference Oscillator CLK Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsPwrMeter_rngReferenceOscillatorCLKFrequency, NULL,
    "SYST:CLOC:ROSC:CLK:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    120e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_REFERENCE_IO_OUTPUT_ENABLED =
  {
    RSPWRMETER_ATTR_REFERENCE_IO_OUTPUT_ENABLED,
    "Reference IO Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS:ROSC:REF:OUTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SAMPLE_CLOCK_OUTPUT_ENABLED =
  {
    RSPWRMETER_ATTR_SAMPLE_CLOCK_OUTPUT_ENABLED,
    "Sample Clock Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SENS:SAMP:CLK:OUTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRIGGER_IMMEDIATE =
  {
    RSPWRMETER_ATTR_TRIGGER_IMMEDIATE,
    "Immediate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRIG:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRIGGER_SOURCE =
  {
    RSPWRMETER_ATTR_TRIGGER_SOURCE,
    "Trigger Source",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &rspwrmeter_rngTriggerSource, NULL, NULL,
    "TRIG:ALL:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_TRG_IMM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rspwrmeter_TriggerSourceAll_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRIGGER_COUNT =
  {
    RSPWRMETER_ATTR_TRIGGER_COUNT,
    "Trigger Count",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:ALL:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRIGGER_SLOPE =
  {
    RSPWRMETER_ATTR_TRIGGER_SLOPE,
    "Trigger Slope",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &rspwrmeter_rngSlope, NULL, NULL,
    "TRIG:ALL:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_SLOPE_POS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRIGGER_LEVEL =
  {
    RSPWRMETER_ATTR_TRIGGER_LEVEL,
    "Trigger Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:ALL:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRIGGER_DELAY =
  {
    RSPWRMETER_ATTR_TRIGGER_DELAY,
    "Trigger Delay",
    RS_VAL_WRITE_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:ALL:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRIGGER_DELAY_AUTO =
  {
    RSPWRMETER_ATTR_TRIGGER_DELAY_AUTO,
    "Trigger Delay Auto",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:ALL:DEL:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRIGGER_DROPOUT =
  {
    RSPWRMETER_ATTR_TRIGGER_DROPOUT,
    "Trigger Dropout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:ALL:DTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRIGGER_HOLDOFF =
  {
    RSPWRMETER_ATTR_TRIGGER_HOLDOFF,
    "Trigger Holdoff",
    RS_VAL_WRITE_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:ALL:HOLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRIGGER_HYSTERESIS =
  {
    RSPWRMETER_ATTR_TRIGGER_HYSTERESIS,
    "Trigger Hysteresis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:ALL:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRIGGER_SYNCHRONIZE =
  {
    RSPWRMETER_ATTR_TRIGGER_SYNCHRONIZE,
    "Trigger Synchronize",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:ALL:SYNC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_TRIGGER_AUTO =
  {
    RSPWRMETER_ATTR_TRIGGER_AUTO,
    "Auto Trigger",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:ALL:ATR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_DISABLE_INITIATE =
  {
    RSPWRMETER_ATTR_MEAS_DISABLE_INITIATE,
    "Disable Initiate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INIT:ALL:DIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_CONTINUOUS =
  {
    RSPWRMETER_ATTR_MEAS_CONTINUOUS,
    "Continuous",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INIT:ALL:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_SEND_SOFTWARE_TRIGGER =
  {
    RSPWRMETER_ATTR_MEAS_SEND_SOFTWARE_TRIGGER,
    "Send Software Trigger",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*TRG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_BLOCK_UNITS =
  {
    RSPWRMETER_ATTR_MEAS_BLOCK_UNITS,
    "Units",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngUnits, NULL, NULL,
    "UNIT{CalculateBlock}:POW",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_UNIT_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_BLOCK_RATIO_UNITS =
  {
    RSPWRMETER_ATTR_MEAS_BLOCK_RATIO_UNITS,
    "Ratio Units",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngRatioUnits, NULL, NULL,
    "UNIT{CalculateBlock}:POW:RAT",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_RATIO_UNIT_DB,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_GATE_CALCULATION =
  {
    RSPWRMETER_ATTR_MEAS_GATE_CALCULATION,
    "Calculation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngCalculation, NULL, NULL,
    "CALC{CalculateBlock}:FEED{Gate}",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_CALC_PWR_AVG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_DISPLAY_DATA_COUNT =
  {
    RSPWRMETER_ATTR_MEAS_DISPLAY_DATA_COUNT,
    "Data Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:COUN:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_DISPLAY_DATA =
  {
    RSPWRMETER_ATTR_MEAS_DISPLAY_DATA,
    "Data",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_DISPLAY_SDEVIATION =
  {
    RSPWRMETER_ATTR_MEAS_DISPLAY_SDEVIATION,
    "Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:SDEV:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_DISPLAY_MEAN =
  {
    RSPWRMETER_ATTR_MEAS_DISPLAY_MEAN,
    "Mean",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:MEAN:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_DISPLAY_PEAK_TO_PEAK =
  {
    RSPWRMETER_ATTR_MEAS_DISPLAY_PEAK_TO_PEAK,
    "Peak To Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:PTP:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_DISPLAY_MAXIMUM =
  {
    RSPWRMETER_ATTR_MEAS_DISPLAY_MAXIMUM,
    "Display Maximum",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:MAX:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_DISPLAY_MINIMUM =
  {
    RSPWRMETER_ATTR_MEAS_DISPLAY_MINIMUM,
    "Display Minimum",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:MIN:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_RELATIVE_ENABLED =
  {
    RSPWRMETER_ATTR_RELATIVE_ENABLED,
    "Relative Power Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:REL:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_RELATIVE_REFERENCE =
  {
    RSPWRMETER_ATTR_RELATIVE_REFERENCE,
    "Relative Power Reference",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_RELATIVE_REFERENCE_POWER_RATIO =
  {
    RSPWRMETER_ATTR_RELATIVE_REFERENCE_POWER_RATIO,
    "Relative Reference Power Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:REL:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LIMITS_ENABLED =
  {
    RSPWRMETER_ATTR_LIMITS_ENABLED,
    "Limits Enabled",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:LIM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LIMITS_WARNING_BEEP =
  {
    RSPWRMETER_ATTR_LIMITS_WARNING_BEEP,
    "Warning Beep",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:LIM:BEEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LIMITS_FAIL =
  {
    RSPWRMETER_ATTR_LIMITS_FAIL,
    "Fail",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:LIM:FAIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LIMITS_FAIL_COUNT =
  {
    RSPWRMETER_ATTR_LIMITS_FAIL_COUNT,
    "Fail Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:LIM:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LIMITS_AUTO_RESET =
  {
    RSPWRMETER_ATTR_LIMITS_AUTO_RESET,
    "Auto Reset",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:LIM:CLE:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LIMITS_UPPER_ENABLED =
  {
    RSPWRMETER_ATTR_LIMITS_UPPER_ENABLED,
    "Upper Limit Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:LIM:UPP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LIMITS_UPPER =
  {
    RSPWRMETER_ATTR_LIMITS_UPPER,
    "Upper Limit Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:LIM:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LIMITS_UPPER_POWER =
  {
    RSPWRMETER_ATTR_LIMITS_UPPER_POWER,
    "Upper Limit Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:LIM:UPP:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LIMITS_UPPER_RATIO =
  {
    RSPWRMETER_ATTR_LIMITS_UPPER_RATIO,
    "Upper Limit Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rspwrmeter_rngLimitRatio, NULL,
    "CALC{CalculateBlock}:LIM:UPP:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LIMITS_LOWER_ENABLED =
  {
    RSPWRMETER_ATTR_LIMITS_LOWER_ENABLED,
    "Lower Limit Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:LIM:LOW:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LIMITS_LOWER =
  {
    RSPWRMETER_ATTR_LIMITS_LOWER,
    "Lower Limit Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:LIM:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LIMITS_LOWER_POWER =
  {
    RSPWRMETER_ATTR_LIMITS_LOWER_POWER,
    "Lower Limit Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:LIM:LOW:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LIMITS_LOWER_RATIO =
  {
    RSPWRMETER_ATTR_LIMITS_LOWER_RATIO,
    "Lower Limit Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rspwrmeter_rngLimitRatio, NULL,
    "CALC{CalculateBlock}:LIM:LOW:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_MATH_EXPRESSION =
  {
    RSPWRMETER_ATTR_MEAS_MATH_EXPRESSION,
    "Expression",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:MATH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "(SENS1)",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_MEAS_MATH_EXPRESSION_CATALOG =
  {
    RSPWRMETER_ATTR_CHANNEL_MEAS_MATH_EXPRESSION_CATALOG,
    "Expression Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:MATH:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_TRACE_XPOSITION1 =
  {
    RSPWRMETER_ATTR_MEAS_TRACE_XPOSITION1,
    "XPosition1",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:TRAC:MARK1:XPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_TRACE_XPOSITION2 =
  {
    RSPWRMETER_ATTR_MEAS_TRACE_XPOSITION2,
    "XPosition2",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:TRAC:MARKer2:XPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_TRACE_YPOSITION1 =
  {
    RSPWRMETER_ATTR_MEAS_TRACE_YPOSITION1,
    "YPosition1",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:TRAC:MARKer1:YPOS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_TRACE_YPOSITION2 =
  {
    RSPWRMETER_ATTR_MEAS_TRACE_YPOSITION2,
    "YPosition2",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:TRAC:MARK2:YPOS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_TRACE_XDELTA =
  {
    RSPWRMETER_ATTR_MEAS_TRACE_XDELTA,
    "XDelta",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:TRAC:MARK:XDEL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEAS_TRACE_YDELTA =
  {
    RSPWRMETER_ATTR_MEAS_TRACE_YDELTA,
    "YDelta",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{CalculateBlock}:TRAC:MARK:YDEL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_MEAS_ABORT =
  {
    RSPWRMETER_ATTR_CHANNEL_MEAS_ABORT,
    "Channel Abort",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ABOR{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_MEAS_INITIATE =
  {
    RSPWRMETER_ATTR_CHANNEL_MEAS_INITIATE,
    "Channel Initiate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_MEAS_INITIATE_WAIT =
  {
    RSPWRMETER_ATTR_CHANNEL_MEAS_INITIATE_WAIT,
    "Channel Initiate And Wait",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_MEAS_DISABLE_INITIATE =
  {
    RSPWRMETER_ATTR_CHANNEL_MEAS_DISABLE_INITIATE,
    "Channel Disable Initiate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INIT{Channel}:DIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_CHANNEL_MEAS_CONTINUOUS =
  {
    RSPWRMETER_ATTR_CHANNEL_MEAS_CONTINUOUS,
    "Channel Continuous",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INIT{Channel}:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEASUREMENT_PATH_SENSOR_PRESENT =
  {
    RSPWRMETER_ATTR_MEASUREMENT_PATH_SENSOR_PRESENT,
    "Measurement Path Sensor Present",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Path}:PRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "NRPM",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_MEASUREMENT_PATH_SENSOR_ENABLED =
  {
    RSPWRMETER_ATTR_MEASUREMENT_PATH_SENSOR_ENABLED,
    "Measurement Path Sensor Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Path}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_REBOOT =
  {
    RSPWRMETER_ATTR_SYSTEM_REBOOT,
    "System Reboot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:REB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_RESTART =
  {
    RSPWRMETER_ATTR_SYSTEM_RESTART,
    "System Restart",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_RESULT_UPDATE_TIME =
  {
    RSPWRMETER_ATTR_SYSTEM_RESULT_UPDATE_TIME,
    "System Result Update Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsPwrMeter_rngSystemUpdateTime, NULL,
    "SYST:RUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_STATUS_UPDATE_TIME =
  {
    RSPWRMETER_ATTR_SYSTEM_STATUS_UPDATE_TIME,
    "System Status Update Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsPwrMeter_rngSystemUpdateTime, NULL,
    "SYST:SUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_SPEED =
  {
    RSPWRMETER_ATTR_SYSTEM_SPEED,
    "System Speed",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngSystemSpeed, NULL, NULL,
    "SYST:SPE",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_SYSTEM_SPEED_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_TEST_LEVELS =
  {
    RSPWRMETER_ATTR_SYSTEM_TEST_LEVELS,
    "System Test Levels",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:TLEV?",
    // Defaults I32, I64, Float, Bool, String
    40,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NRP18S|NRP18SN|NRP8S|NRP8SN|NRP33S|NRP33SN|NRP40S|NRP40SN|NRP50S|NRP50SN|NRP6A|NRP6AN|NRP18A|NRP18AN|NRP18T|NRP18TN|NRP33T|NRP33TN|NRP40T|NRP40TN|NRP50T|NRP50TN|NRP33SN-V|NRP67T|NRP67TN|NRP110T|NRP110TN|NRPM|NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_VERSION =
  {
    RSPWRMETER_ATTR_SYSTEM_VERSION,
    "System Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:VERS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1999.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_INFORMATION =
  {
    RSPWRMETER_ATTR_SYSTEM_INFORMATION,
    "System Information",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:INFO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "No info",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_SENSOR_NAME =
  {
    RSPWRMETER_ATTR_SYSTEM_SENSOR_NAME,
    "System Sensor Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "new-name",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "NRP18S|NRP18SN|NRP8S|NRP8SN|NRP33S|NRP33SN|NRP40S|NRP40SN|NRP50S|NRP50SN|NRP6A|NRP6AN|NRP18A|NRP18AN|NRP18T|NRP18TN|NRP33T|NRP33TN|NRP40T|NRP40TN|NRP50T|NRP50TN|NRP33SN-V|NRP67T|NRP67TN|NRP110T|NRP110TN|NRPM|NRQ6",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_ERROR =
  {
    RSPWRMETER_ATTR_SYSTEM_ERROR,
    "System Error",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_ERROR_COUNT =
  {
    RSPWRMETER_ATTR_SYSTEM_ERROR_COUNT,
    "System Error Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:ERR:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_STATUS_PRESET =
  {
    RSPWRMETER_ATTR_STATUS_PRESET,
    "Status Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STAT:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_ID_QUERY_RESPONSE =
  {
    RSPWRMETER_ATTR_ID_QUERY_RESPONSE,
    "ID Query Response",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "*IDN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz,NRP8S,Simulated,1.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_PRESET_DEVICE =
  {
    RSPWRMETER_ATTR_PRESET_DEVICE,
    "Preset Device",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LOGGING =
  {
    RSPWRMETER_ATTR_LOGGING,
    "Logging",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "no_command",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rspwrmeter_logging_ReadCallback,
    rspwrmeter_logging_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_CLOCK_SOURCE =
  {
    RSPWRMETER_ATTR_SYSTEM_CLOCK_SOURCE,
    "System Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngIntExt, NULL, NULL,
    "SYST:CLOC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_INT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_LOWER_POWER_MEASUREMENT_LIMIT =
  {
    RSPWRMETER_ATTR_SYSTEM_LOWER_POWER_MEASUREMENT_LIMIT,
    "System Lower Power Measurement Limit",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SYST:MINP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_ENABLED =
  {
    RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_ENABLED,
    "TTL Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:TTL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_ACTIVE =
  {
    RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_ACTIVE,
    "TTL Active",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngTTLHighLow, NULL, NULL,
    "OUTP:TTL:ACT",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_TTL_ACTIVE_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_FAIL =
  {
    RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_FAIL,
    "TTL Fail",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngTTLHighLow, NULL, NULL,
    "OUTP:TTL:FAIL",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_TTL_ACTIVE_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_HIGH_VOLTAGE =
  {
    RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_HIGH_VOLTAGE,
    "TTL High Voltage",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rspwrmeter_rngTTLVoltage, NULL,
    "OUTP:TTL:HVOL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_LOW_VOLTAGE =
  {
    RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_LOW_VOLTAGE,
    "TTL Low Voltage",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rspwrmeter_rngTTLVoltage, NULL,
    "OUTP:TTL:LVOL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_LIMITED_CALC_BLOCK =
  {
    RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_LIMITED_CALC_BLOCK,
    "TTL Limited Calc Block",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngTTLCalculateBlock, NULL, NULL,
    "OUTP:TTL:FEED",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_LIMIT_CALC_BLOCK1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TRIGGER_OUTPUT =
  {
    RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TRIGGER_OUTPUT,
    "Trigger Output",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_ENABLED =
  {
    RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_ENABLED,
    "Analog Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:REC{AnalogOutput}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_SELECTED_CALC_BLOCK =
  {
    RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_SELECTED_CALC_BLOCK,
    "Selected Calc Block",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngCalculateBlock, NULL, NULL,
    "OUTP:REC{AnalogOutput}:FEED",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_CALC_BLOCK1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_UPPER =
  {
    RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_UPPER,
    "Output Upper Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:REC{AnalogOutput}:LIM:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_UPPER_POWER =
  {
    RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_UPPER_POWER,
    "Output Upper Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:REC{AnalogOutput}:LIM:UPP:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_UPPER_RATIO =
  {
    RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_UPPER_RATIO,
    "Output Upper Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rspwrmeter_rngLimitRatio, NULL,
    "OUTP:REC{AnalogOutput}:LIM:UPP:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_LOWER =
  {
    RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_LOWER,
    "Output Lower Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:REC{AnalogOutput}:LIM:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_LOWER_POWER =
  {
    RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_LOWER_POWER,
    "Output Lower Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:REC{AnalogOutput}:LIM:LOW:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_LOWER_RATIO =
  {
    RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_LOWER_RATIO,
    "Output Lower Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rspwrmeter_rngLimitRatio, NULL,
    "OUTP:REC{AnalogOutput}:LIM:LOW:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_MISC_DISPLAY_UPDATE =
  {
    RSPWRMETER_ATTR_SYSTEM_MISC_DISPLAY_UPDATE,
    "Display Update",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngDisplayUpdate, NULL, NULL,
    "DISP:UPD",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_DISPLAY_UPDATE_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_MISC_BRIGHTNESS =
  {
    RSPWRMETER_ATTR_SYSTEM_MISC_BRIGHTNESS,
    "Brightness",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:ILL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_START =
  {
    RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_START,
    "Start Beep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:BEEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_STOP =
  {
    RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_STOP,
    "Stop Beep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:BEEP:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_OVERLOAD =
  {
    RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_OVERLOAD,
    "Overload",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:BEEP:NOT:OVER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_KEY_CLICK =
  {
    RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_KEY_CLICK,
    "Key Click",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:BEEP:NOT:KEY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_TIME =
  {
    RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_TIME,
    "Beep Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rspwrmeter_rngBeepTime, NULL,
    "SYST:BEEP:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_STD_CATALOG =
  {
    RSPWRMETER_ATTR_SYSTEM_STD_CATALOG,
    "Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:STAN:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_STD_SELECTED_STANDARD =
  {
    RSPWRMETER_ATTR_SYSTEM_STD_SELECTED_STANDARD,
    "Selected Standard",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:STAN:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "GSM/EDGE",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_STD_PRESERVE_WINDOW_SETTINGS =
  {
    RSPWRMETER_ATTR_SYSTEM_STD_PRESERVE_WINDOW_SETTINGS,
    "Preserve Window Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:STAN:PWS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_STD_TRIGGER_SOURCE =
  {
    RSPWRMETER_ATTR_SYSTEM_STD_TRIGGER_SOURCE,
    "System Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rspwrmeter_rngIntExt, NULL, NULL,
    "SYST:STAN:TRIG:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_INT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS =
  {
    RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS,
    "IP Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:IPAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "10.10.10.1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK =
  {
    RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK,
    "IP Address Subnet Mask",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:IPAD:SUBN:MASK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "255.255.255.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY =
  {
    RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY,
    "IP Address Gateway",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:IPAD:GAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "10.10.10.2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE =
  {
    RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE,
    "IP Address Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsPwrMeter_rngIPAddressMode, NULL, NULL,
    "SYST:COMM:NETW:IPAD:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_IP_ADDRESS_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_INFO =
  {
    RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_INFO,
    "IP Address Info",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:IPAD:INFO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_NETWORK_RESET =
  {
    RSPWRMETER_ATTR_SYSTEM_NETWORK_RESET,
    "Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_NETWORK_RESTART =
  {
    RSPWRMETER_ATTR_SYSTEM_NETWORK_RESTART,
    "Restart",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_NETWORK_STATUS =
  {
    RSPWRMETER_ATTR_SYSTEM_NETWORK_STATUS,
    "Status",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_NETWORK_DOMAIN =
  {
    RSPWRMETER_ATTR_SYSTEM_NETWORK_DOMAIN,
    "Domain",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:DOM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_NETWORK_HOSTNAME =
  {
    RSPWRMETER_ATTR_SYSTEM_NETWORK_HOSTNAME,
    "Hostname",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:HOST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_NETWORK_SOCKET_MODE =
  {
    RSPWRMETER_ATTR_SYSTEM_NETWORK_SOCKET_MODE,
    "Socket Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsPwrMeter_rngSocketMode, NULL, NULL,
    "SYST:COMM:SOCK:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_SOCKET_MODE_RAW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_SYSTEM_NETWORK_SOCKET_PORT =
  {
    RSPWRMETER_ATTR_SYSTEM_NETWORK_SOCKET_PORT,
    "Socket Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:COMM:SOCK:PORT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LED_MODE =
  {
    RSPWRMETER_ATTR_LED_MODE,
    "LED Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsPwrMeter_rngLEDMode, NULL, NULL,
    "SYST:LED:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSPWRMETER_VAL_LED_SENSOR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSPWRMETER_ATTR_LED_COLOR =
  {
    RSPWRMETER_ATTR_LED_COLOR,
    "LED Color",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsPwrMeter_rngLEDColor, NULL,
    "SYST:LED:COL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

ViInt32 rspwrmeter_RsCoreAttributeListLength = 344;

RsCoreAttributePtr rspwrmeter_RsCoreAttributeList[344] =
  {
    &g_RS_ATTR_RANGE_CHECK,
    &g_RS_ATTR_QUERY_INSTRUMENT_STATUS,
    &g_RS_ATTR_SIMULATE,
    &g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    &g_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    &g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_REVISION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    &g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    &g_RS_ATTR_GROUP_CAPABILITIES,
    &g_RS_ATTR_FUNCTION_CAPABILITIES,
    &g_RS_ATTR_CHANNEL_COUNT,
    &g_RS_ATTR_DRIVER_SETUP,
    &g_RS_ATTR_INSTRUMENT_MANUFACTURER,
    &g_RS_ATTR_INSTRUMENT_MODEL,
    &g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    &g_RS_ATTR_OPTIONS_LIST,
    &g_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    &g_RS_ATTR_LOGICAL_NAME,
    &g_RS_ATTR_PRIMARY_ERROR,
    &g_RS_ATTR_SECONDARY_ERROR,
    &g_RS_ATTR_ERROR_ELABORATION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_MAJOR_VERSION,
    &g_RS_ATTR_ENGINE_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_REVISION,
    &g_RS_ATTR_OPC_TIMEOUT,
    &g_RSPWRMETER_ATTR_DISP_SIZE,
    &g_RSPWRMETER_ATTR_DISP_SELECTED_WINDOW,
    &g_RSPWRMETER_ATTR_DISP_MSG_ENABLED,
    &g_RSPWRMETER_ATTR_DISP_MSG_CLEAR,
    &g_RSPWRMETER_ATTR_DISP_MSG_TYPE,
    &g_RSPWRMETER_ATTR_CHANNEL_ZERO_STATE,
    &g_RSPWRMETER_ATTR_CHANNEL_ZERO_ONCE,
    &g_RSPWRMETER_ATTR_CHANNEL_FAST_ZERO_ONCE,
    &g_RSPWRMETER_ATTR_CHANNEL_FREQUENCY,
    &g_RSPWRMETER_ATTR_CHANNEL_MODE,
    &g_RSPWRMETER_ATTR_CHANNEL_AUXILIARY,
    &g_RSPWRMETER_ATTR_CHANNEL_SELECTED_TIMEGATE,
    &g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_ENABLED,
    &g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_NAME,
    &g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_RESOLUTION,
    &g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_TIMESLOT,
    &g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_MODE,
    &g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_ADDITIONAL_INFO,
    &g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_ERRORLIST_ENABLED,
    &g_RSPWRMETER_ATTR_DISPLAY_POWER_PULSE_DROOP_ENABLED,
    &g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_UPPER,
    &g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_UPPER_POWER,
    &g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_UPPER_RATIO,
    &g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_LOWER,
    &g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_LOWER_POWER,
    &g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_LOWER_RATIO,
    &g_RSPWRMETER_ATTR_CHANNEL_VBW_LIST,
    &g_RSPWRMETER_ATTR_CHANNEL_VBW,
    &g_RSPWRMETER_ATTR_CHANNEL_AVER_RESET,
    &g_RSPWRMETER_ATTR_CHANNEL_AVER_ENABLED,
    &g_RSPWRMETER_ATTR_CHANNEL_AVER_COUNT,
    &g_RSPWRMETER_ATTR_CHANNEL_AVER_COUNT_AUTO,
    &g_RSPWRMETER_ATTR_CHANNEL_AVER_DOMAIN,
    &g_RSPWRMETER_ATTR_CHANNEL_AVER_TERMINAL_CONTROL,
    &g_RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_MODE,
    &g_RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_MTIME,
    &g_RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_RESOLUTION,
    &g_RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_TIMESLOT,
    &g_RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_NOISE_CONTENT,
    &g_RSPWRMETER_ATTR_RANGE_AUTO,
    &g_RSPWRMETER_ATTR_RANGE_PATH,
    &g_RSPWRMETER_ATTR_RANGE_CROSSOVER_LEVEL,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_IMMEDIATE,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SOURCE,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_COUNT,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SLOPE,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_LEVEL,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_DELAY,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_DELAY_AUTO,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_DROPOUT,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_HOLDOFF,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_HYSTERESIS,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_MASTER_ENABLED,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SENDER_ENABLED,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_MASTER_PORT,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SENDER_PORT,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SYNCHRONIZE,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SYNCHRONIZE_PORT,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_AUTO,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_AUTO_LEVEL,
    &g_RSPWRMETER_ATTR_CHANNEL_AUTO_TRIGGER_DELAY,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_AUTO_EXECUTED,
    &g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_EXTERNAL_IMPEDANCE,
    &g_RSPWRMETER_ATTR_TRIGGER_JITTER_SUPPRESSION_METHOD,
    &g_RSPWRMETER_ATTR_TRIGGER_JITTER_SUPPRESSION_CURRENT_VALUE,
    &g_RSPWRMETER_ATTR_TRIGGER_JITTER_SUPPRESSION_TRIGGER_OFFSET,
    &g_RSPWRMETER_ATTR_CHANNEL_SENSOR_REBOOT,
    &g_RSPWRMETER_ATTR_CHANNEL_SENSOR_RESET,
    &g_RSPWRMETER_ATTR_CHANNEL_SENSOR_INFO,
    &g_RSPWRMETER_ATTR_CORR_OFFSET_ENABLED,
    &g_RSPWRMETER_ATTR_CORR_OFFSET_VALUE,
    &g_RSPWRMETER_ATTR_CORR_OFFSET_TABLE_ENABLED,
    &g_RSPWRMETER_ATTR_CORR_OFFSET_SELECTED_TABLE,
    &g_RSPWRMETER_ATTR_CORR_OFFSET_FD,
    &g_RSPWRMETER_ATTR_CORR_SPARAM_DEVICE_ENABLED,
    &g_RSPWRMETER_ATTR_CORR_SPARAM_DEVICE,
    &g_RSPWRMETER_ATTR_CORR_SPARAM_LIST,
    &g_RSPWRMETER_ATTR_CORR_SGAMMA_ENABLED,
    &g_RSPWRMETER_ATTR_CORR_SGAMMA_MAGNITUDE,
    &g_RSPWRMETER_ATTR_CORR_SGAMMA_PHASE,
    &g_RSPWRMETER_ATTR_CORR_RGAMMA_MAGNITUDE,
    &g_RSPWRMETER_ATTR_CORR_RGAMMA_PHASE,
    &g_RSPWRMETER_ATTR_DCYCLE_ENABLED,
    &g_RSPWRMETER_ATTR_DCYCLE_VALUE,
    &g_RSPWRMETER_ATTR_NOISE_CORRECTION_ENABLED,
    &g_RSPWRMETER_ATTR_IGAMMA_MAGNITUDE,
    &g_RSPWRMETER_ATTR_IGAMMA_PHASE,
    &g_RSPWRMETER_ATTR_IGAMMA_EXPANDED_UNCERTAINTY,
    &g_RSPWRMETER_ATTR_CHANNEL_CONTAV_APERTURE,
    &g_RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_ENABLED,
    &g_RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_SIZE,
    &g_RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_COUNT,
    &g_RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_CLEAR,
    &g_RSPWRMETER_ATTR_CHANNEL_CONTAV_SMOOTHING_ENABLED,
    &g_RSPWRMETER_ATTR_CHANNEL_CONTAV_FAST_UNCHOPPED_ENABLED,
    &g_RSPWRMETER_ATTR_CHANNEL_BURSTAV_DROPOUT,
    &g_RSPWRMETER_ATTR_CHANNEL_BURSTAV_EXCLUDE_START,
    &g_RSPWRMETER_ATTR_CHANNEL_BURSTAV_EXCLUDE_STOP,
    &g_RSPWRMETER_ATTR_CHANNEL_BURSTAV_LENGTH,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_OFFSET_TIME,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_TIME,
    &g_RSPWRMETER_ATTR_TRACE_TIME_AUTO,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_POINTS,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_LOWER_LIMIT,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_UPPER_LIMIT,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MINIMUM_SLOT_WIDTH,
    &g_RSPWRMETER_ATTR_NUMBER_OF_SAMPLES,
    &g_RSPWRMETER_ATTR_SAMPLE_RATE_FOR_TRACE,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_AVER_ENABLED,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_AVER_COUNT,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_AVER_COUNT_AUTO,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_TERMINAL_CONTROL,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_ENABLED,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_ALGORITHM,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_OFFSET_TIME,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TIME,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_AUTO_TRANSFER,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_DUTY_CYCLE,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_WIDTH,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_PERIOD,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_SEPARATION,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_AVERAGE,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_MAXIMUM,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_MINIMUM,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_BASE,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_TOP,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_DROOP,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_REFERENCE_LEVEL,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_HIGH_REFERENCE,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_LOW_REFERENCE,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_POS_DURATION,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_POS_OCCURRENCE,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_POS_OVERSHOOT,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_NEG_DURATION,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_NEG_OCCURRENCE,
    &g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_NEG_OVERSHOOT,
    &g_RSPWRMETER_ATTR_CHANNEL_STAT_OFFSET_TIME,
    &g_RSPWRMETER_ATTR_CHANNEL_STAT_TIME,
    &g_RSPWRMETER_ATTR_CHANNEL_STAT_SAMPLES,
    &g_RSPWRMETER_ATTR_CHANNEL_STAT_MID_OFFSET,
    &g_RSPWRMETER_ATTR_CHANNEL_STAT_MID_LENGTH,
    &g_RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_RLEVEL,
    &g_RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_POINTS,
    &g_RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_RANGE,
    &g_RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_MIN_WIDTH,
    &g_RSPWRMETER_ATTR_CHANNEL_STAT_POWER,
    &g_RSPWRMETER_ATTR_CHANNEL_STAT_HORIZONTAL_DATA,
    &g_RSPWRMETER_ATTR_CHANNEL_STAT_VERTICAL_POSITION,
    &g_RSPWRMETER_ATTR_CHANNEL_STAT_ABS_POWER_POSITION,
    &g_RSPWRMETER_ATTR_CHANNEL_STAT_PEAK_POWER,
    &g_RSPWRMETER_ATTR_CHANNEL_STAT_AVERAGE,
    &g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_COUNT,
    &g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_WIDTH,
    &g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_MID_ENABLED,
    &g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_MID_OFFSET,
    &g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_MID_LENGTH,
    &g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_EXCLUDE_START,
    &g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_EXCLUDE_STOP,
    &g_RSPWRMETER_ATTR_CHANNEL_GATE_OFFSET_TIME,
    &g_RSPWRMETER_ATTR_CHANNEL_GATE_TIME,
    &g_RSPWRMETER_ATTR_CHANNEL_GATE_MID_ENABLED,
    &g_RSPWRMETER_ATTR_CHANNEL_GATE_MID_OFFSET,
    &g_RSPWRMETER_ATTR_CHANNEL_GATE_MID_LENGTH,
    &g_RSPWRMETER_ATTR_ACLR_APERTURE_TIME,
    &g_RSPWRMETER_ATTR_ACLR_SPACING,
    &g_RSPWRMETER_ATTR_VOLT_IQ_SAMPLE_RATE,
    &g_RSPWRMETER_ATTR_VOLT_IQ_SAMPLE_COUNT,
    &g_RSPWRMETER_ATTR_CHANNEL_CAL_DEVIATION,
    &g_RSPWRMETER_ATTR_CHANNEL_CAL_REFERENCE,
    &g_RSPWRMETER_ATTR_CHANNEL_CAL_DATA_BLOCK_LENGTH,
    &g_RSPWRMETER_ATTR_CHANNEL_CAL_USER_DATA_BLOCK_LENGTH,
    &g_RSPWRMETER_ATTR_AUTOSET_FREQUENCY,
    &g_RSPWRMETER_ATTR_RESOLUTION_BANDWIDTH,
    &g_RSPWRMETER_ATTR_CURRENT_RESOLUTION_BANDWIDTH,
    &g_RSPWRMETER_ATTR_FILTER_TYPE,
    &g_RSPWRMETER_ATTR_AUTOSET_FILTER_TYPE,
    &g_RSPWRMETER_ATTR_BANDWIDTH_TYPE,
    &g_RSPWRMETER_ATTR_INPUT_ATTENUATION,
    &g_RSPWRMETER_ATTR_INPUT_ATTENUATION_AUTO,
    &g_RSPWRMETER_ATTR_AUTOSET_INPUT_ATTENUATION,
    &g_RSPWRMETER_ATTR_LOCAL_OSCILLATOR_OUTPUT_ENABLED,
    &g_RSPWRMETER_ATTR_LOCAL_OSCILLATOR_FREQUENCY,
    &g_RSPWRMETER_ATTR_IF_SIDEBAND_AUTO_ENABLED,
    &g_RSPWRMETER_ATTR_IF_SIDEBAND_SELECTED,
    &g_RSPWRMETER_ATTR_IF_SIDEBAND_FREQUENCY,
    &g_RSPWRMETER_ATTR_FREQUENCY_TRACKING_ENABLED,
    &g_RSPWRMETER_ATTR_FREQUENCY_TRACKING_CURRENT_STATE,
    &g_RSPWRMETER_ATTR_FREQUENCY_TRACKING_CURRENT_FREQUENCY,
    &g_RSPWRMETER_ATTR_CHANNEL_ZERO_ALL_ONCE,
    &g_RSPWRMETER_ATTR_CHANNEL_FAST_ZERO_ALL_ONCE,
    &g_RSPWRMETER_ATTR_CHANNELS_ZERO_ALL_STATE,
    &g_RSPWRMETER_ATTR_REF_OSC_ENABLED,
    &g_RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_SOURCE,
    &g_RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_REF_FREQUENCY,
    &g_RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_USB_FREQUENCY,
    &g_RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_CLK_FREQUENCY,
    &g_RSPWRMETER_ATTR_REFERENCE_IO_OUTPUT_ENABLED,
    &g_RSPWRMETER_ATTR_SAMPLE_CLOCK_OUTPUT_ENABLED,
    &g_RSPWRMETER_ATTR_TRIGGER_IMMEDIATE,
    &g_RSPWRMETER_ATTR_TRIGGER_SOURCE,
    &g_RSPWRMETER_ATTR_TRIGGER_COUNT,
    &g_RSPWRMETER_ATTR_TRIGGER_SLOPE,
    &g_RSPWRMETER_ATTR_TRIGGER_LEVEL,
    &g_RSPWRMETER_ATTR_TRIGGER_DELAY,
    &g_RSPWRMETER_ATTR_TRIGGER_DELAY_AUTO,
    &g_RSPWRMETER_ATTR_TRIGGER_DROPOUT,
    &g_RSPWRMETER_ATTR_TRIGGER_HOLDOFF,
    &g_RSPWRMETER_ATTR_TRIGGER_HYSTERESIS,
    &g_RSPWRMETER_ATTR_TRIGGER_SYNCHRONIZE,
    &g_RSPWRMETER_ATTR_TRIGGER_AUTO,
    &g_RSPWRMETER_ATTR_MEAS_DISABLE_INITIATE,
    &g_RSPWRMETER_ATTR_MEAS_CONTINUOUS,
    &g_RSPWRMETER_ATTR_MEAS_SEND_SOFTWARE_TRIGGER,
    &g_RSPWRMETER_ATTR_MEAS_BLOCK_UNITS,
    &g_RSPWRMETER_ATTR_MEAS_BLOCK_RATIO_UNITS,
    &g_RSPWRMETER_ATTR_MEAS_GATE_CALCULATION,
    &g_RSPWRMETER_ATTR_MEAS_DISPLAY_DATA_COUNT,
    &g_RSPWRMETER_ATTR_MEAS_DISPLAY_DATA,
    &g_RSPWRMETER_ATTR_MEAS_DISPLAY_SDEVIATION,
    &g_RSPWRMETER_ATTR_MEAS_DISPLAY_MEAN,
    &g_RSPWRMETER_ATTR_MEAS_DISPLAY_PEAK_TO_PEAK,
    &g_RSPWRMETER_ATTR_MEAS_DISPLAY_MAXIMUM,
    &g_RSPWRMETER_ATTR_MEAS_DISPLAY_MINIMUM,
    &g_RSPWRMETER_ATTR_RELATIVE_ENABLED,
    &g_RSPWRMETER_ATTR_RELATIVE_REFERENCE,
    &g_RSPWRMETER_ATTR_RELATIVE_REFERENCE_POWER_RATIO,
    &g_RSPWRMETER_ATTR_LIMITS_ENABLED,
    &g_RSPWRMETER_ATTR_LIMITS_WARNING_BEEP,
    &g_RSPWRMETER_ATTR_LIMITS_FAIL,
    &g_RSPWRMETER_ATTR_LIMITS_FAIL_COUNT,
    &g_RSPWRMETER_ATTR_LIMITS_AUTO_RESET,
    &g_RSPWRMETER_ATTR_LIMITS_UPPER_ENABLED,
    &g_RSPWRMETER_ATTR_LIMITS_UPPER,
    &g_RSPWRMETER_ATTR_LIMITS_UPPER_POWER,
    &g_RSPWRMETER_ATTR_LIMITS_UPPER_RATIO,
    &g_RSPWRMETER_ATTR_LIMITS_LOWER_ENABLED,
    &g_RSPWRMETER_ATTR_LIMITS_LOWER,
    &g_RSPWRMETER_ATTR_LIMITS_LOWER_POWER,
    &g_RSPWRMETER_ATTR_LIMITS_LOWER_RATIO,
    &g_RSPWRMETER_ATTR_MEAS_MATH_EXPRESSION,
    &g_RSPWRMETER_ATTR_CHANNEL_MEAS_MATH_EXPRESSION_CATALOG,
    &g_RSPWRMETER_ATTR_MEAS_TRACE_XPOSITION1,
    &g_RSPWRMETER_ATTR_MEAS_TRACE_XPOSITION2,
    &g_RSPWRMETER_ATTR_MEAS_TRACE_YPOSITION1,
    &g_RSPWRMETER_ATTR_MEAS_TRACE_YPOSITION2,
    &g_RSPWRMETER_ATTR_MEAS_TRACE_XDELTA,
    &g_RSPWRMETER_ATTR_MEAS_TRACE_YDELTA,
    &g_RSPWRMETER_ATTR_CHANNEL_MEAS_ABORT,
    &g_RSPWRMETER_ATTR_CHANNEL_MEAS_INITIATE,
    &g_RSPWRMETER_ATTR_CHANNEL_MEAS_INITIATE_WAIT,
    &g_RSPWRMETER_ATTR_CHANNEL_MEAS_DISABLE_INITIATE,
    &g_RSPWRMETER_ATTR_CHANNEL_MEAS_CONTINUOUS,
    &g_RSPWRMETER_ATTR_MEASUREMENT_PATH_SENSOR_PRESENT,
    &g_RSPWRMETER_ATTR_MEASUREMENT_PATH_SENSOR_ENABLED,
    &g_RSPWRMETER_ATTR_SYSTEM_REBOOT,
    &g_RSPWRMETER_ATTR_SYSTEM_RESTART,
    &g_RSPWRMETER_ATTR_SYSTEM_RESULT_UPDATE_TIME,
    &g_RSPWRMETER_ATTR_SYSTEM_STATUS_UPDATE_TIME,
    &g_RSPWRMETER_ATTR_SYSTEM_SPEED,
    &g_RSPWRMETER_ATTR_SYSTEM_TEST_LEVELS,
    &g_RSPWRMETER_ATTR_SYSTEM_VERSION,
    &g_RSPWRMETER_ATTR_SYSTEM_INFORMATION,
    &g_RSPWRMETER_ATTR_SYSTEM_SENSOR_NAME,
    &g_RSPWRMETER_ATTR_SYSTEM_ERROR,
    &g_RSPWRMETER_ATTR_SYSTEM_ERROR_COUNT,
    &g_RSPWRMETER_ATTR_STATUS_PRESET,
    &g_RSPWRMETER_ATTR_ID_QUERY_RESPONSE,
    &g_RSPWRMETER_ATTR_PRESET_DEVICE,
    &g_RSPWRMETER_ATTR_LOGGING,
    &g_RSPWRMETER_ATTR_SYSTEM_CLOCK_SOURCE,
    &g_RSPWRMETER_ATTR_SYSTEM_LOWER_POWER_MEASUREMENT_LIMIT,
    &g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_ENABLED,
    &g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_ACTIVE,
    &g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_FAIL,
    &g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_HIGH_VOLTAGE,
    &g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_LOW_VOLTAGE,
    &g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_LIMITED_CALC_BLOCK,
    &g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TRIGGER_OUTPUT,
    &g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_ENABLED,
    &g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_SELECTED_CALC_BLOCK,
    &g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_UPPER,
    &g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_UPPER_POWER,
    &g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_UPPER_RATIO,
    &g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_LOWER,
    &g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_LOWER_POWER,
    &g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_LOWER_RATIO,
    &g_RSPWRMETER_ATTR_SYSTEM_MISC_DISPLAY_UPDATE,
    &g_RSPWRMETER_ATTR_SYSTEM_MISC_BRIGHTNESS,
    &g_RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_START,
    &g_RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_STOP,
    &g_RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_OVERLOAD,
    &g_RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_KEY_CLICK,
    &g_RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_TIME,
    &g_RSPWRMETER_ATTR_SYSTEM_STD_CATALOG,
    &g_RSPWRMETER_ATTR_SYSTEM_STD_SELECTED_STANDARD,
    &g_RSPWRMETER_ATTR_SYSTEM_STD_PRESERVE_WINDOW_SETTINGS,
    &g_RSPWRMETER_ATTR_SYSTEM_STD_TRIGGER_SOURCE,
    &g_RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS,
    &g_RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK,
    &g_RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY,
    &g_RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE,
    &g_RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_INFO,
    &g_RSPWRMETER_ATTR_SYSTEM_NETWORK_RESET,
    &g_RSPWRMETER_ATTR_SYSTEM_NETWORK_RESTART,
    &g_RSPWRMETER_ATTR_SYSTEM_NETWORK_STATUS,
    &g_RSPWRMETER_ATTR_SYSTEM_NETWORK_DOMAIN,
    &g_RSPWRMETER_ATTR_SYSTEM_NETWORK_HOSTNAME,
    &g_RSPWRMETER_ATTR_SYSTEM_NETWORK_SOCKET_MODE,
    &g_RSPWRMETER_ATTR_SYSTEM_NETWORK_SOCKET_PORT,
    &g_RSPWRMETER_ATTR_LED_MODE,
    &g_RSPWRMETER_ATTR_LED_COLOR
  };
